from _devbuild.gen.id_kind_asdl import Id_t

from asdl import const  # For const.NO_INTEGER
from asdl import runtime
from asdl.runtime import (
  PrettyLeaf, ExternalLeaf, PrettyArray, PrettyNode,
  Color_TypeName, Color_StringConst, Color_OtherConst, Color_External,
  Color_UserType
)

from typing import Optional, List, Tuple, Dict, Any

class parse_result_e(object):
  EmptyLine = 1
  Eof = 2
  Node = 3

class parse_result_t(runtime.CompoundObj):
  pass

class parse_result__EmptyLine(parse_result_t):
  tag = 1
  __slots__ = ()

  def __init__(self, ):
    # type: () -> None
    pass

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('parse_result.EmptyLine')
    L = out_node.fields

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('parse_result.EmptyLine')
    L = out_node.fields
    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class parse_result__Eof(parse_result_t):
  tag = 2
  __slots__ = ()

  def __init__(self, ):
    # type: () -> None
    pass

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('parse_result.Eof')
    L = out_node.fields

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('parse_result.Eof')
    L = out_node.fields
    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class parse_result__Node(parse_result_t):
  tag = 3
  __slots__ = ('cmd',)

  def __init__(self, cmd=None):
    # type: (Optional[command_t]) -> None
    self.cmd = cmd

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('parse_result.Node')
    L = out_node.fields

    assert self.cmd is not None
    x0 = self.cmd.PrettyTree()
    L.append(('cmd', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('parse_result.Node')
    L = out_node.fields
    assert self.cmd is not None
    x0 = self.cmd.AbbreviatedTree()
    L.append(('cmd', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class parse_result(object):
  EmptyLine = parse_result__EmptyLine
  Eof = parse_result__Eof
  Node = parse_result__Node

class source_e(object):
  Interactive = 1
  Unused = 2
  CFlag = 3
  Stdin = 4
  MainFile = 5
  SourcedFile = 6
  ArgvWord = 7
  ArgvCommand = 8
  EvalArg = 9
  Trap = 10
  PromptCommand = 11
  Variable = 12
  Alias = 13
  Backticks = 14
  LValue = 15

class source_t(runtime.CompoundObj):
  pass

class source__Interactive(source_t):
  tag = 1
  __slots__ = ()

  def __init__(self, ):
    # type: () -> None
    pass

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.Interactive')
    L = out_node.fields

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.Interactive')
    L = out_node.fields
    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class source__Unused(source_t):
  tag = 2
  __slots__ = ('comment',)

  def __init__(self, comment=None):
    # type: (Optional[str]) -> None
    self.comment = comment

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.Unused')
    L = out_node.fields

    x0 = PrettyLeaf(self.comment, Color_StringConst)
    L.append(('comment', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.Unused')
    L = out_node.fields
    x0 = PrettyLeaf(self.comment, Color_StringConst)
    L.append(('comment', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class source__CFlag(source_t):
  tag = 3
  __slots__ = ()

  def __init__(self, ):
    # type: () -> None
    pass

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.CFlag')
    L = out_node.fields

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.CFlag')
    L = out_node.fields
    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class source__Stdin(source_t):
  tag = 4
  __slots__ = ('comment',)

  def __init__(self, comment=None):
    # type: (Optional[str]) -> None
    self.comment = comment

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.Stdin')
    L = out_node.fields

    x0 = PrettyLeaf(self.comment, Color_StringConst)
    L.append(('comment', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.Stdin')
    L = out_node.fields
    x0 = PrettyLeaf(self.comment, Color_StringConst)
    L.append(('comment', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class source__MainFile(source_t):
  tag = 5
  __slots__ = ('path',)

  def __init__(self, path=None):
    # type: (Optional[str]) -> None
    self.path = path

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.MainFile')
    L = out_node.fields

    x0 = PrettyLeaf(self.path, Color_StringConst)
    L.append(('path', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.MainFile')
    L = out_node.fields
    x0 = PrettyLeaf(self.path, Color_StringConst)
    L.append(('path', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class source__SourcedFile(source_t):
  tag = 6
  __slots__ = ('path', 'spid')

  def __init__(self, path=None, spid=None):
    # type: (Optional[str], Optional[int]) -> None
    self.path = path
    self.spid = spid

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.SourcedFile')
    L = out_node.fields

    x0 = PrettyLeaf(self.path, Color_StringConst)
    L.append(('path', x0))

    x1 = PrettyLeaf(str(self.spid), Color_OtherConst)
    L.append(('spid', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.SourcedFile')
    L = out_node.fields
    x0 = PrettyLeaf(self.path, Color_StringConst)
    L.append(('path', x0))

    x1 = PrettyLeaf(str(self.spid), Color_OtherConst)
    L.append(('spid', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class source__ArgvWord(source_t):
  tag = 7
  __slots__ = ('word_spid',)

  def __init__(self, word_spid=None):
    # type: (Optional[int]) -> None
    self.word_spid = word_spid

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.ArgvWord')
    L = out_node.fields

    x0 = PrettyLeaf(str(self.word_spid), Color_OtherConst)
    L.append(('word_spid', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.ArgvWord')
    L = out_node.fields
    x0 = PrettyLeaf(str(self.word_spid), Color_OtherConst)
    L.append(('word_spid', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class source__ArgvCommand(source_t):
  tag = 8
  __slots__ = ('first_spid',)

  def __init__(self, first_spid=None):
    # type: (Optional[int]) -> None
    self.first_spid = first_spid

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.ArgvCommand')
    L = out_node.fields

    x0 = PrettyLeaf(str(self.first_spid), Color_OtherConst)
    L.append(('first_spid', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.ArgvCommand')
    L = out_node.fields
    x0 = PrettyLeaf(str(self.first_spid), Color_OtherConst)
    L.append(('first_spid', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class source__EvalArg(source_t):
  tag = 9
  __slots__ = ('eval_spid',)

  def __init__(self, eval_spid=None):
    # type: (Optional[int]) -> None
    self.eval_spid = eval_spid

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.EvalArg')
    L = out_node.fields

    x0 = PrettyLeaf(str(self.eval_spid), Color_OtherConst)
    L.append(('eval_spid', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.EvalArg')
    L = out_node.fields
    x0 = PrettyLeaf(str(self.eval_spid), Color_OtherConst)
    L.append(('eval_spid', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class source__Trap(source_t):
  tag = 10
  __slots__ = ('word_spid',)

  def __init__(self, word_spid=None):
    # type: (Optional[int]) -> None
    self.word_spid = word_spid

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.Trap')
    L = out_node.fields

    x0 = PrettyLeaf(str(self.word_spid), Color_OtherConst)
    L.append(('word_spid', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.Trap')
    L = out_node.fields
    x0 = PrettyLeaf(str(self.word_spid), Color_OtherConst)
    L.append(('word_spid', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class source__PromptCommand(source_t):
  tag = 11
  __slots__ = ('spid',)

  def __init__(self, spid=None):
    # type: (Optional[int]) -> None
    self.spid = spid

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.PromptCommand')
    L = out_node.fields

    x0 = PrettyLeaf(str(self.spid), Color_OtherConst)
    L.append(('spid', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.PromptCommand')
    L = out_node.fields
    x0 = PrettyLeaf(str(self.spid), Color_OtherConst)
    L.append(('spid', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class source__Variable(source_t):
  tag = 12
  __slots__ = ('spid',)

  def __init__(self, spid=None):
    # type: (Optional[int]) -> None
    self.spid = spid

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.Variable')
    L = out_node.fields

    x0 = PrettyLeaf(str(self.spid), Color_OtherConst)
    L.append(('spid', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.Variable')
    L = out_node.fields
    x0 = PrettyLeaf(str(self.spid), Color_OtherConst)
    L.append(('spid', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class source__Alias(source_t):
  tag = 13
  __slots__ = ('argv0', 'argv0_spid')

  def __init__(self, argv0=None, argv0_spid=None):
    # type: (Optional[str], Optional[int]) -> None
    self.argv0 = argv0
    self.argv0_spid = argv0_spid

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.Alias')
    L = out_node.fields

    x0 = PrettyLeaf(self.argv0, Color_StringConst)
    L.append(('argv0', x0))

    x1 = PrettyLeaf(str(self.argv0_spid), Color_OtherConst)
    L.append(('argv0_spid', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.Alias')
    L = out_node.fields
    x0 = PrettyLeaf(self.argv0, Color_StringConst)
    L.append(('argv0', x0))

    x1 = PrettyLeaf(str(self.argv0_spid), Color_OtherConst)
    L.append(('argv0_spid', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class source__Backticks(source_t):
  tag = 14
  __slots__ = ('left_spid', 'right_spid')

  def __init__(self, left_spid=None, right_spid=None):
    # type: (Optional[int], Optional[int]) -> None
    self.left_spid = left_spid
    self.right_spid = right_spid

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.Backticks')
    L = out_node.fields

    x0 = PrettyLeaf(str(self.left_spid), Color_OtherConst)
    L.append(('left_spid', x0))

    x1 = PrettyLeaf(str(self.right_spid), Color_OtherConst)
    L.append(('right_spid', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.Backticks')
    L = out_node.fields
    x0 = PrettyLeaf(str(self.left_spid), Color_OtherConst)
    L.append(('left_spid', x0))

    x1 = PrettyLeaf(str(self.right_spid), Color_OtherConst)
    L.append(('right_spid', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class source__LValue(source_t):
  tag = 15
  __slots__ = ('left_spid', 'right_spid')

  def __init__(self, left_spid=None, right_spid=None):
    # type: (Optional[int], Optional[int]) -> None
    self.left_spid = left_spid
    self.right_spid = right_spid

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.LValue')
    L = out_node.fields

    x0 = PrettyLeaf(str(self.left_spid), Color_OtherConst)
    L.append(('left_spid', x0))

    x1 = PrettyLeaf(str(self.right_spid), Color_OtherConst)
    L.append(('right_spid', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('source.LValue')
    L = out_node.fields
    x0 = PrettyLeaf(str(self.left_spid), Color_OtherConst)
    L.append(('left_spid', x0))

    x1 = PrettyLeaf(str(self.right_spid), Color_OtherConst)
    L.append(('right_spid', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class source(object):
  Interactive = source__Interactive
  Unused = source__Unused
  CFlag = source__CFlag
  Stdin = source__Stdin
  MainFile = source__MainFile
  SourcedFile = source__SourcedFile
  ArgvWord = source__ArgvWord
  ArgvCommand = source__ArgvCommand
  EvalArg = source__EvalArg
  Trap = source__Trap
  PromptCommand = source__PromptCommand
  Variable = source__Variable
  Alias = source__Alias
  Backticks = source__Backticks
  LValue = source__LValue

class bracket_op_e(object):
  WholeArray = 1
  ArrayIndex = 2

class bracket_op_t(runtime.CompoundObj):
  pass

class bracket_op__WholeArray(bracket_op_t):
  tag = 1
  __slots__ = ('op_id',)

  def __init__(self, op_id=None):
    # type: (Optional[Id_t]) -> None
    self.op_id = op_id

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('bracket_op.WholeArray')
    L = out_node.fields

    assert self.op_id is not None
    x0 = PrettyLeaf(self.op_id.name, Color_UserType)
    L.append(('op_id', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('bracket_op.WholeArray')
    L = out_node.fields
    assert self.op_id is not None
    x0 = PrettyLeaf(self.op_id.name, Color_UserType)
    L.append(('op_id', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class bracket_op__ArrayIndex(bracket_op_t):
  tag = 2
  __slots__ = ('expr',)

  def __init__(self, expr=None):
    # type: (Optional[arith_expr_t]) -> None
    self.expr = expr

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('bracket_op.ArrayIndex')
    L = out_node.fields

    assert self.expr is not None
    x0 = self.expr.PrettyTree()
    L.append(('expr', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('bracket_op.ArrayIndex')
    L = out_node.fields
    assert self.expr is not None
    x0 = self.expr.AbbreviatedTree()
    L.append(('expr', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class bracket_op(object):
  WholeArray = bracket_op__WholeArray
  ArrayIndex = bracket_op__ArrayIndex

class suffix_op_e(object):
  Nullary = 1
  Unary = 2
  PatSub = 3
  Slice = 4

class suffix_op_t(runtime.CompoundObj):
  pass

class suffix_op__Nullary(suffix_op_t):
  tag = 1
  __slots__ = ('op_id', 'spids')

  def __init__(self, op_id=None, spids=None):
    # type: (Optional[Id_t], Optional[List[int]]) -> None
    self.op_id = op_id
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('suffix_op.Nullary')
    L = out_node.fields

    assert self.op_id is not None
    x0 = PrettyLeaf(self.op_id.name, Color_UserType)
    L.append(('op_id', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('suffix_op.Nullary')
    L = out_node.fields
    assert self.op_id is not None
    x0 = PrettyLeaf(self.op_id.name, Color_UserType)
    L.append(('op_id', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class suffix_op__Unary(suffix_op_t):
  tag = 2
  __slots__ = ('op_id', 'arg_word', 'spids')

  def __init__(self, op_id=None, arg_word=None, spids=None):
    # type: (Optional[Id_t], Optional[word_t], Optional[List[int]]) -> None
    self.op_id = op_id
    self.arg_word = arg_word
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('suffix_op.Unary')
    L = out_node.fields

    assert self.op_id is not None
    x0 = PrettyLeaf(self.op_id.name, Color_UserType)
    L.append(('op_id', x0))

    assert self.arg_word is not None
    x1 = self.arg_word.PrettyTree()
    L.append(('arg_word', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('suffix_op.Unary')
    L = out_node.fields
    assert self.op_id is not None
    x0 = PrettyLeaf(self.op_id.name, Color_UserType)
    L.append(('op_id', x0))

    assert self.arg_word is not None
    x1 = self.arg_word.AbbreviatedTree()
    L.append(('arg_word', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class suffix_op__PatSub(suffix_op_t):
  tag = 3
  __slots__ = ('pat', 'replace', 'replace_mode', 'spids')

  def __init__(self, pat=None, replace=None, replace_mode=None, spids=None):
    # type: (Optional[word_t], Optional[word_t], Optional[Id_t], Optional[List[int]]) -> None
    self.pat = pat
    self.replace = replace or None
    self.replace_mode = replace_mode
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('suffix_op.PatSub')
    L = out_node.fields

    assert self.pat is not None
    x0 = self.pat.PrettyTree()
    L.append(('pat', x0))

    if self.replace is not None:  # MaybeType
      x1 = self.replace.PrettyTree()
      L.append(('replace', x1))

    assert self.replace_mode is not None
    x2 = PrettyLeaf(self.replace_mode.name, Color_UserType)
    L.append(('replace_mode', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('suffix_op.PatSub')
    L = out_node.fields
    assert self.pat is not None
    x0 = self.pat.AbbreviatedTree()
    L.append(('pat', x0))

    if self.replace is not None:  # MaybeType
      x1 = self.replace.AbbreviatedTree()
      L.append(('replace', x1))

    assert self.replace_mode is not None
    x2 = PrettyLeaf(self.replace_mode.name, Color_UserType)
    L.append(('replace_mode', x2))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class suffix_op__Slice(suffix_op_t):
  tag = 4
  __slots__ = ('begin', 'length', 'spids')

  def __init__(self, begin=None, length=None, spids=None):
    # type: (Optional[arith_expr_t], Optional[arith_expr_t], Optional[List[int]]) -> None
    self.begin = begin or None
    self.length = length or None
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('suffix_op.Slice')
    L = out_node.fields

    if self.begin is not None:  # MaybeType
      x0 = self.begin.PrettyTree()
      L.append(('begin', x0))

    if self.length is not None:  # MaybeType
      x1 = self.length.PrettyTree()
      L.append(('length', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('suffix_op.Slice')
    L = out_node.fields
    if self.begin is not None:  # MaybeType
      x0 = self.begin.AbbreviatedTree()
      L.append(('begin', x0))

    if self.length is not None:  # MaybeType
      x1 = self.length.AbbreviatedTree()
      L.append(('length', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class suffix_op(object):
  Nullary = suffix_op__Nullary
  Unary = suffix_op__Unary
  PatSub = suffix_op__PatSub
  Slice = suffix_op__Slice

class word_part_e(object):
  ShArrayLiteral = 1008
  AssocArrayLiteral = 2
  Literal = 3
  EscapedLiteral = 4
  SingleQuoted = 1004
  DoubleQuoted = 1003
  SimpleVarSub = 1005
  BracedVarSub = 1006
  CommandSub = 1007
  TildeSub = 10
  ArithSub = 11
  BracedTuple = 12
  BracedRange = 13
  ExtGlob = 14
  Splice = 15
  FuncCall = 16
  ExprSub = 17

class word_part_t(runtime.CompoundObj):
  pass

class word_part__AssocArrayLiteral(word_part_t):
  tag = 2
  __slots__ = ('left', 'pairs', 'spids')

  def __init__(self, left=None, pairs=None, spids=None):
    # type: (Optional[token], Optional[List[word_t]], Optional[List[int]]) -> None
    self.left = left
    self.pairs = pairs or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word_part.AssocArrayLiteral')
    L = out_node.fields

    assert self.left is not None
    x0 = self.left.PrettyTree()
    L.append(('left', x0))

    if self.pairs:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.pairs:
        x1.children.append(i1.PrettyTree())
      L.append(('pairs', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word_part.AssocArrayLiteral')
    L = out_node.fields
    assert self.left is not None
    x0 = self.left.AbbreviatedTree()
    L.append(('left', x0))

    if self.pairs:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.pairs:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('pairs', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class word_part__Literal(word_part_t):
  tag = 3
  __slots__ = ('token', 'spids')

  def __init__(self, token=None, spids=None):
    # type: (Optional[token], Optional[List[int]]) -> None
    self.token = token
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word_part.Literal')
    L = out_node.fields

    assert self.token is not None
    x0 = self.token.PrettyTree()
    L.append(('token', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word_part.Literal')
    L = out_node.fields
    assert self.token is not None
    x0 = self.token.AbbreviatedTree()
    L.append(('token', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    p = _word_part__Literal(self)
    return p if p else self._AbbreviatedTree()

class word_part__EscapedLiteral(word_part_t):
  tag = 4
  __slots__ = ('token', 'spids')

  def __init__(self, token=None, spids=None):
    # type: (Optional[token], Optional[List[int]]) -> None
    self.token = token
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word_part.EscapedLiteral')
    L = out_node.fields

    assert self.token is not None
    x0 = self.token.PrettyTree()
    L.append(('token', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word_part.EscapedLiteral')
    L = out_node.fields
    assert self.token is not None
    x0 = self.token.AbbreviatedTree()
    L.append(('token', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class word_part__TildeSub(word_part_t):
  tag = 10
  __slots__ = ('token', 'spids')

  def __init__(self, token=None, spids=None):
    # type: (Optional[token], Optional[List[int]]) -> None
    self.token = token
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word_part.TildeSub')
    L = out_node.fields

    assert self.token is not None
    x0 = self.token.PrettyTree()
    L.append(('token', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word_part.TildeSub')
    L = out_node.fields
    assert self.token is not None
    x0 = self.token.AbbreviatedTree()
    L.append(('token', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class word_part__ArithSub(word_part_t):
  tag = 11
  __slots__ = ('anode', 'spids')

  def __init__(self, anode=None, spids=None):
    # type: (Optional[arith_expr_t], Optional[List[int]]) -> None
    self.anode = anode
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word_part.ArithSub')
    L = out_node.fields

    assert self.anode is not None
    x0 = self.anode.PrettyTree()
    L.append(('anode', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word_part.ArithSub')
    L = out_node.fields
    assert self.anode is not None
    x0 = self.anode.AbbreviatedTree()
    L.append(('anode', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class word_part__BracedTuple(word_part_t):
  tag = 12
  __slots__ = ('words', 'spids')

  def __init__(self, words=None, spids=None):
    # type: (Optional[List[word_t]], Optional[List[int]]) -> None
    self.words = words or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word_part.BracedTuple')
    L = out_node.fields

    if self.words:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.words:
        x0.children.append(i0.PrettyTree())
      L.append(('words', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word_part.BracedTuple')
    L = out_node.fields
    if self.words:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.words:
        x0.children.append(i0.AbbreviatedTree())
      L.append(('words', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class word_part__BracedRange(word_part_t):
  tag = 13
  __slots__ = ('kind', 'start', 'end', 'step', 'spids')

  def __init__(self, kind=None, start=None, end=None, step=None, spids=None):
    # type: (Optional[Id_t], Optional[str], Optional[str], Optional[int], Optional[List[int]]) -> None
    self.kind = kind
    self.start = start
    self.end = end
    self.step = step or const.NO_INTEGER
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word_part.BracedRange')
    L = out_node.fields

    assert self.kind is not None
    x0 = PrettyLeaf(self.kind.name, Color_UserType)
    L.append(('kind', x0))

    x1 = PrettyLeaf(self.start, Color_StringConst)
    L.append(('start', x1))

    x2 = PrettyLeaf(self.end, Color_StringConst)
    L.append(('end', x2))

    if self.step is not None:  # MaybeType
      x3 = PrettyLeaf(str(self.step), Color_OtherConst)
      L.append(('step', x3))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word_part.BracedRange')
    L = out_node.fields
    assert self.kind is not None
    x0 = PrettyLeaf(self.kind.name, Color_UserType)
    L.append(('kind', x0))

    x1 = PrettyLeaf(self.start, Color_StringConst)
    L.append(('start', x1))

    x2 = PrettyLeaf(self.end, Color_StringConst)
    L.append(('end', x2))

    if self.step is not None:  # MaybeType
      x3 = PrettyLeaf(str(self.step), Color_OtherConst)
      L.append(('step', x3))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class word_part__ExtGlob(word_part_t):
  tag = 14
  __slots__ = ('op', 'arms', 'spids')

  def __init__(self, op=None, arms=None, spids=None):
    # type: (Optional[token], Optional[List[word_t]], Optional[List[int]]) -> None
    self.op = op
    self.arms = arms or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word_part.ExtGlob')
    L = out_node.fields

    assert self.op is not None
    x0 = self.op.PrettyTree()
    L.append(('op', x0))

    if self.arms:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.arms:
        x1.children.append(i1.PrettyTree())
      L.append(('arms', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word_part.ExtGlob')
    L = out_node.fields
    assert self.op is not None
    x0 = self.op.AbbreviatedTree()
    L.append(('op', x0))

    if self.arms:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.arms:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('arms', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class word_part__Splice(word_part_t):
  tag = 15
  __slots__ = ('name', 'spids')

  def __init__(self, name=None, spids=None):
    # type: (Optional[token], Optional[List[int]]) -> None
    self.name = name
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word_part.Splice')
    L = out_node.fields

    assert self.name is not None
    x0 = self.name.PrettyTree()
    L.append(('name', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word_part.Splice')
    L = out_node.fields
    assert self.name is not None
    x0 = self.name.AbbreviatedTree()
    L.append(('name', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class word_part__FuncCall(word_part_t):
  tag = 16
  __slots__ = ('name', 'args', 'spids')

  def __init__(self, name=None, args=None, spids=None):
    # type: (Optional[token], Optional[arg_list], Optional[List[int]]) -> None
    self.name = name
    self.args = args
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word_part.FuncCall')
    L = out_node.fields

    assert self.name is not None
    x0 = self.name.PrettyTree()
    L.append(('name', x0))

    assert self.args is not None
    x1 = self.args.PrettyTree()
    L.append(('args', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word_part.FuncCall')
    L = out_node.fields
    assert self.name is not None
    x0 = self.name.AbbreviatedTree()
    L.append(('name', x0))

    assert self.args is not None
    x1 = self.args.AbbreviatedTree()
    L.append(('args', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class word_part__ExprSub(word_part_t):
  tag = 17
  __slots__ = ('left', 'child', 'spids')

  def __init__(self, left=None, child=None, spids=None):
    # type: (Optional[token], Optional[expr_t], Optional[List[int]]) -> None
    self.left = left
    self.child = child
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word_part.ExprSub')
    L = out_node.fields

    assert self.left is not None
    x0 = self.left.PrettyTree()
    L.append(('left', x0))

    assert self.child is not None
    x1 = self.child.PrettyTree()
    L.append(('child', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word_part.ExprSub')
    L = out_node.fields
    assert self.left is not None
    x0 = self.left.AbbreviatedTree()
    L.append(('left', x0))

    assert self.child is not None
    x1 = self.child.AbbreviatedTree()
    L.append(('child', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class word_part(object):
  AssocArrayLiteral = word_part__AssocArrayLiteral
  Literal = word_part__Literal
  EscapedLiteral = word_part__EscapedLiteral
  TildeSub = word_part__TildeSub
  ArithSub = word_part__ArithSub
  BracedTuple = word_part__BracedTuple
  BracedRange = word_part__BracedRange
  ExtGlob = word_part__ExtGlob
  Splice = word_part__Splice
  FuncCall = word_part__FuncCall
  ExprSub = word_part__ExprSub

class word_e(object):
  Empty = 1
  Token = 2
  Compound = 3
  BracedTree = 4
  String = 5

class word_t(runtime.CompoundObj):
  pass

class word__Empty(word_t):
  tag = 1
  __slots__ = ('spids',)

  def __init__(self, spids=None):
    # type: (Optional[List[int]]) -> None
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word.Empty')
    L = out_node.fields

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word.Empty')
    L = out_node.fields
    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class word__Token(word_t):
  tag = 2
  __slots__ = ('token', 'spids')

  def __init__(self, token=None, spids=None):
    # type: (Optional[token], Optional[List[int]]) -> None
    self.token = token
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word.Token')
    L = out_node.fields

    assert self.token is not None
    x0 = self.token.PrettyTree()
    L.append(('token', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word.Token')
    L = out_node.fields
    assert self.token is not None
    x0 = self.token.AbbreviatedTree()
    L.append(('token', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class word__Compound(word_t):
  tag = 3
  __slots__ = ('parts', 'spids')

  def __init__(self, parts=None, spids=None):
    # type: (Optional[List[word_part_t]], Optional[List[int]]) -> None
    self.parts = parts or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word.Compound')
    L = out_node.fields

    if self.parts:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.parts:
        x0.children.append(i0.PrettyTree())
      L.append(('parts', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word.Compound')
    L = out_node.fields
    if self.parts:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.parts:
        x0.children.append(i0.AbbreviatedTree())
      L.append(('parts', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    p = _word__Compound(self)
    return p if p else self._AbbreviatedTree()

class word__BracedTree(word_t):
  tag = 4
  __slots__ = ('parts', 'spids')

  def __init__(self, parts=None, spids=None):
    # type: (Optional[List[word_part_t]], Optional[List[int]]) -> None
    self.parts = parts or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word.BracedTree')
    L = out_node.fields

    if self.parts:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.parts:
        x0.children.append(i0.PrettyTree())
      L.append(('parts', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word.BracedTree')
    L = out_node.fields
    if self.parts:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.parts:
        x0.children.append(i0.AbbreviatedTree())
      L.append(('parts', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class word__String(word_t):
  tag = 5
  __slots__ = ('id', 's', 'spids')

  def __init__(self, id=None, s=None, spids=None):
    # type: (Optional[Id_t], Optional[str], Optional[List[int]]) -> None
    self.id = id
    self.s = s
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word.String')
    L = out_node.fields

    assert self.id is not None
    x0 = PrettyLeaf(self.id.name, Color_UserType)
    L.append(('id', x0))

    x1 = PrettyLeaf(self.s, Color_StringConst)
    L.append(('s', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('word.String')
    L = out_node.fields
    assert self.id is not None
    x0 = PrettyLeaf(self.id.name, Color_UserType)
    L.append(('id', x0))

    x1 = PrettyLeaf(self.s, Color_StringConst)
    L.append(('s', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class word(object):
  Empty = word__Empty
  Token = word__Token
  Compound = word__Compound
  BracedTree = word__BracedTree
  String = word__String

class sh_lhs_expr_e(object):
  Name = 1
  IndexedName = 2
  CompatIndexedName = 3

class sh_lhs_expr_t(runtime.CompoundObj):
  pass

class sh_lhs_expr__Name(sh_lhs_expr_t):
  tag = 1
  __slots__ = ('name', 'spids')

  def __init__(self, name=None, spids=None):
    # type: (Optional[str], Optional[List[int]]) -> None
    self.name = name
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('sh_lhs_expr.Name')
    L = out_node.fields

    x0 = PrettyLeaf(self.name, Color_StringConst)
    L.append(('name', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('sh_lhs_expr.Name')
    L = out_node.fields
    x0 = PrettyLeaf(self.name, Color_StringConst)
    L.append(('name', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class sh_lhs_expr__IndexedName(sh_lhs_expr_t):
  tag = 2
  __slots__ = ('name', 'index', 'spids')

  def __init__(self, name=None, index=None, spids=None):
    # type: (Optional[str], Optional[arith_expr_t], Optional[List[int]]) -> None
    self.name = name
    self.index = index
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('sh_lhs_expr.IndexedName')
    L = out_node.fields

    x0 = PrettyLeaf(self.name, Color_StringConst)
    L.append(('name', x0))

    assert self.index is not None
    x1 = self.index.PrettyTree()
    L.append(('index', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('sh_lhs_expr.IndexedName')
    L = out_node.fields
    x0 = PrettyLeaf(self.name, Color_StringConst)
    L.append(('name', x0))

    assert self.index is not None
    x1 = self.index.AbbreviatedTree()
    L.append(('index', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class sh_lhs_expr__CompatIndexedName(sh_lhs_expr_t):
  tag = 3
  __slots__ = ('name', 'index', 'spids')

  def __init__(self, name=None, index=None, spids=None):
    # type: (Optional[str], Optional[str], Optional[List[int]]) -> None
    self.name = name
    self.index = index
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('sh_lhs_expr.CompatIndexedName')
    L = out_node.fields

    x0 = PrettyLeaf(self.name, Color_StringConst)
    L.append(('name', x0))

    x1 = PrettyLeaf(self.index, Color_StringConst)
    L.append(('index', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('sh_lhs_expr.CompatIndexedName')
    L = out_node.fields
    x0 = PrettyLeaf(self.name, Color_StringConst)
    L.append(('name', x0))

    x1 = PrettyLeaf(self.index, Color_StringConst)
    L.append(('index', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class sh_lhs_expr(object):
  Name = sh_lhs_expr__Name
  IndexedName = sh_lhs_expr__IndexedName
  CompatIndexedName = sh_lhs_expr__CompatIndexedName

class arith_expr_e(object):
  VarRef = 1
  ArithWord = 2
  UnaryAssign = 3
  BinaryAssign = 4
  Unary = 5
  Binary = 6
  TernaryOp = 7

class arith_expr_t(runtime.CompoundObj):
  pass

class arith_expr__VarRef(arith_expr_t):
  tag = 1
  __slots__ = ('token',)

  def __init__(self, token=None):
    # type: (Optional[token]) -> None
    self.token = token

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('arith_expr.VarRef')
    L = out_node.fields

    assert self.token is not None
    x0 = self.token.PrettyTree()
    L.append(('token', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('arith_expr.VarRef')
    L = out_node.fields
    assert self.token is not None
    x0 = self.token.AbbreviatedTree()
    L.append(('token', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class arith_expr__ArithWord(arith_expr_t):
  tag = 2
  __slots__ = ('w',)

  def __init__(self, w=None):
    # type: (Optional[word_t]) -> None
    self.w = w

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('arith_expr.ArithWord')
    L = out_node.fields

    assert self.w is not None
    x0 = self.w.PrettyTree()
    L.append(('w', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('arith_expr.ArithWord')
    L = out_node.fields
    assert self.w is not None
    x0 = self.w.AbbreviatedTree()
    L.append(('w', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class arith_expr__UnaryAssign(arith_expr_t):
  tag = 3
  __slots__ = ('op_id', 'child')

  def __init__(self, op_id=None, child=None):
    # type: (Optional[Id_t], Optional[sh_lhs_expr_t]) -> None
    self.op_id = op_id
    self.child = child

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('arith_expr.UnaryAssign')
    L = out_node.fields

    assert self.op_id is not None
    x0 = PrettyLeaf(self.op_id.name, Color_UserType)
    L.append(('op_id', x0))

    assert self.child is not None
    x1 = self.child.PrettyTree()
    L.append(('child', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('arith_expr.UnaryAssign')
    L = out_node.fields
    assert self.op_id is not None
    x0 = PrettyLeaf(self.op_id.name, Color_UserType)
    L.append(('op_id', x0))

    assert self.child is not None
    x1 = self.child.AbbreviatedTree()
    L.append(('child', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class arith_expr__BinaryAssign(arith_expr_t):
  tag = 4
  __slots__ = ('op_id', 'left', 'right')

  def __init__(self, op_id=None, left=None, right=None):
    # type: (Optional[Id_t], Optional[sh_lhs_expr_t], Optional[arith_expr_t]) -> None
    self.op_id = op_id
    self.left = left
    self.right = right

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('arith_expr.BinaryAssign')
    L = out_node.fields

    assert self.op_id is not None
    x0 = PrettyLeaf(self.op_id.name, Color_UserType)
    L.append(('op_id', x0))

    assert self.left is not None
    x1 = self.left.PrettyTree()
    L.append(('left', x1))

    assert self.right is not None
    x2 = self.right.PrettyTree()
    L.append(('right', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('arith_expr.BinaryAssign')
    L = out_node.fields
    assert self.op_id is not None
    x0 = PrettyLeaf(self.op_id.name, Color_UserType)
    L.append(('op_id', x0))

    assert self.left is not None
    x1 = self.left.AbbreviatedTree()
    L.append(('left', x1))

    assert self.right is not None
    x2 = self.right.AbbreviatedTree()
    L.append(('right', x2))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class arith_expr__Unary(arith_expr_t):
  tag = 5
  __slots__ = ('op_id', 'child')

  def __init__(self, op_id=None, child=None):
    # type: (Optional[Id_t], Optional[arith_expr_t]) -> None
    self.op_id = op_id
    self.child = child

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('arith_expr.Unary')
    L = out_node.fields

    assert self.op_id is not None
    x0 = PrettyLeaf(self.op_id.name, Color_UserType)
    L.append(('op_id', x0))

    assert self.child is not None
    x1 = self.child.PrettyTree()
    L.append(('child', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('arith_expr.Unary')
    L = out_node.fields
    assert self.op_id is not None
    x0 = PrettyLeaf(self.op_id.name, Color_UserType)
    L.append(('op_id', x0))

    assert self.child is not None
    x1 = self.child.AbbreviatedTree()
    L.append(('child', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class arith_expr__Binary(arith_expr_t):
  tag = 6
  __slots__ = ('op_id', 'left', 'right')

  def __init__(self, op_id=None, left=None, right=None):
    # type: (Optional[Id_t], Optional[arith_expr_t], Optional[arith_expr_t]) -> None
    self.op_id = op_id
    self.left = left
    self.right = right

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('arith_expr.Binary')
    L = out_node.fields

    assert self.op_id is not None
    x0 = PrettyLeaf(self.op_id.name, Color_UserType)
    L.append(('op_id', x0))

    assert self.left is not None
    x1 = self.left.PrettyTree()
    L.append(('left', x1))

    assert self.right is not None
    x2 = self.right.PrettyTree()
    L.append(('right', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('arith_expr.Binary')
    L = out_node.fields
    assert self.op_id is not None
    x0 = PrettyLeaf(self.op_id.name, Color_UserType)
    L.append(('op_id', x0))

    assert self.left is not None
    x1 = self.left.AbbreviatedTree()
    L.append(('left', x1))

    assert self.right is not None
    x2 = self.right.AbbreviatedTree()
    L.append(('right', x2))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class arith_expr__TernaryOp(arith_expr_t):
  tag = 7
  __slots__ = ('cond', 'true_expr', 'false_expr')

  def __init__(self, cond=None, true_expr=None, false_expr=None):
    # type: (Optional[arith_expr_t], Optional[arith_expr_t], Optional[arith_expr_t]) -> None
    self.cond = cond
    self.true_expr = true_expr
    self.false_expr = false_expr

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('arith_expr.TernaryOp')
    L = out_node.fields

    assert self.cond is not None
    x0 = self.cond.PrettyTree()
    L.append(('cond', x0))

    assert self.true_expr is not None
    x1 = self.true_expr.PrettyTree()
    L.append(('true_expr', x1))

    assert self.false_expr is not None
    x2 = self.false_expr.PrettyTree()
    L.append(('false_expr', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('arith_expr.TernaryOp')
    L = out_node.fields
    assert self.cond is not None
    x0 = self.cond.AbbreviatedTree()
    L.append(('cond', x0))

    assert self.true_expr is not None
    x1 = self.true_expr.AbbreviatedTree()
    L.append(('true_expr', x1))

    assert self.false_expr is not None
    x2 = self.false_expr.AbbreviatedTree()
    L.append(('false_expr', x2))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class arith_expr(object):
  VarRef = arith_expr__VarRef
  ArithWord = arith_expr__ArithWord
  UnaryAssign = arith_expr__UnaryAssign
  BinaryAssign = arith_expr__BinaryAssign
  Unary = arith_expr__Unary
  Binary = arith_expr__Binary
  TernaryOp = arith_expr__TernaryOp

class bool_expr_e(object):
  WordTest = 1
  Binary = 2
  Unary = 3
  LogicalNot = 4
  LogicalAnd = 5
  LogicalOr = 6

class bool_expr_t(runtime.CompoundObj):
  pass

class bool_expr__WordTest(bool_expr_t):
  tag = 1
  __slots__ = ('w',)

  def __init__(self, w=None):
    # type: (Optional[word_t]) -> None
    self.w = w

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('bool_expr.WordTest')
    L = out_node.fields

    assert self.w is not None
    x0 = self.w.PrettyTree()
    L.append(('w', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('bool_expr.WordTest')
    L = out_node.fields
    assert self.w is not None
    x0 = self.w.AbbreviatedTree()
    L.append(('w', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class bool_expr__Binary(bool_expr_t):
  tag = 2
  __slots__ = ('op_id', 'left', 'right')

  def __init__(self, op_id=None, left=None, right=None):
    # type: (Optional[Id_t], Optional[word_t], Optional[word_t]) -> None
    self.op_id = op_id
    self.left = left
    self.right = right

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('bool_expr.Binary')
    L = out_node.fields

    assert self.op_id is not None
    x0 = PrettyLeaf(self.op_id.name, Color_UserType)
    L.append(('op_id', x0))

    assert self.left is not None
    x1 = self.left.PrettyTree()
    L.append(('left', x1))

    assert self.right is not None
    x2 = self.right.PrettyTree()
    L.append(('right', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('bool_expr.Binary')
    L = out_node.fields
    assert self.op_id is not None
    x0 = PrettyLeaf(self.op_id.name, Color_UserType)
    L.append(('op_id', x0))

    assert self.left is not None
    x1 = self.left.AbbreviatedTree()
    L.append(('left', x1))

    assert self.right is not None
    x2 = self.right.AbbreviatedTree()
    L.append(('right', x2))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class bool_expr__Unary(bool_expr_t):
  tag = 3
  __slots__ = ('op_id', 'child')

  def __init__(self, op_id=None, child=None):
    # type: (Optional[Id_t], Optional[word_t]) -> None
    self.op_id = op_id
    self.child = child

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('bool_expr.Unary')
    L = out_node.fields

    assert self.op_id is not None
    x0 = PrettyLeaf(self.op_id.name, Color_UserType)
    L.append(('op_id', x0))

    assert self.child is not None
    x1 = self.child.PrettyTree()
    L.append(('child', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('bool_expr.Unary')
    L = out_node.fields
    assert self.op_id is not None
    x0 = PrettyLeaf(self.op_id.name, Color_UserType)
    L.append(('op_id', x0))

    assert self.child is not None
    x1 = self.child.AbbreviatedTree()
    L.append(('child', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class bool_expr__LogicalNot(bool_expr_t):
  tag = 4
  __slots__ = ('child',)

  def __init__(self, child=None):
    # type: (Optional[bool_expr_t]) -> None
    self.child = child

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('bool_expr.LogicalNot')
    L = out_node.fields

    assert self.child is not None
    x0 = self.child.PrettyTree()
    L.append(('child', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('bool_expr.LogicalNot')
    L = out_node.fields
    assert self.child is not None
    x0 = self.child.AbbreviatedTree()
    L.append(('child', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class bool_expr__LogicalAnd(bool_expr_t):
  tag = 5
  __slots__ = ('left', 'right')

  def __init__(self, left=None, right=None):
    # type: (Optional[bool_expr_t], Optional[bool_expr_t]) -> None
    self.left = left
    self.right = right

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('bool_expr.LogicalAnd')
    L = out_node.fields

    assert self.left is not None
    x0 = self.left.PrettyTree()
    L.append(('left', x0))

    assert self.right is not None
    x1 = self.right.PrettyTree()
    L.append(('right', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('bool_expr.LogicalAnd')
    L = out_node.fields
    assert self.left is not None
    x0 = self.left.AbbreviatedTree()
    L.append(('left', x0))

    assert self.right is not None
    x1 = self.right.AbbreviatedTree()
    L.append(('right', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class bool_expr__LogicalOr(bool_expr_t):
  tag = 6
  __slots__ = ('left', 'right')

  def __init__(self, left=None, right=None):
    # type: (Optional[bool_expr_t], Optional[bool_expr_t]) -> None
    self.left = left
    self.right = right

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('bool_expr.LogicalOr')
    L = out_node.fields

    assert self.left is not None
    x0 = self.left.PrettyTree()
    L.append(('left', x0))

    assert self.right is not None
    x1 = self.right.PrettyTree()
    L.append(('right', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('bool_expr.LogicalOr')
    L = out_node.fields
    assert self.left is not None
    x0 = self.left.AbbreviatedTree()
    L.append(('left', x0))

    assert self.right is not None
    x1 = self.right.AbbreviatedTree()
    L.append(('right', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class bool_expr(object):
  WordTest = bool_expr__WordTest
  Binary = bool_expr__Binary
  Unary = bool_expr__Unary
  LogicalNot = bool_expr__LogicalNot
  LogicalAnd = bool_expr__LogicalAnd
  LogicalOr = bool_expr__LogicalOr

class redir_e(object):
  Redir = 1
  HereDoc = 2

class redir_t(runtime.CompoundObj):
  pass

class redir__Redir(redir_t):
  tag = 1
  __slots__ = ('op', 'fd', 'arg_word')

  def __init__(self, op=None, fd=None, arg_word=None):
    # type: (Optional[token], Optional[int], Optional[word_t]) -> None
    self.op = op
    self.fd = fd
    self.arg_word = arg_word

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('redir.Redir')
    L = out_node.fields

    assert self.op is not None
    x0 = self.op.PrettyTree()
    L.append(('op', x0))

    x1 = PrettyLeaf(str(self.fd), Color_OtherConst)
    L.append(('fd', x1))

    assert self.arg_word is not None
    x2 = self.arg_word.PrettyTree()
    L.append(('arg_word', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('redir.Redir')
    L = out_node.fields
    assert self.op is not None
    x0 = self.op.AbbreviatedTree()
    L.append(('op', x0))

    x1 = PrettyLeaf(str(self.fd), Color_OtherConst)
    L.append(('fd', x1))

    assert self.arg_word is not None
    x2 = self.arg_word.AbbreviatedTree()
    L.append(('arg_word', x2))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class redir__HereDoc(redir_t):
  tag = 2
  __slots__ = ('op', 'fd', 'here_begin', 'here_end_span_id', 'stdin_parts')

  def __init__(self, op=None, fd=None, here_begin=None, here_end_span_id=None,
               stdin_parts=None):
    # type: (Optional[token], Optional[int], Optional[word_t], Optional[int], Optional[List[word_part_t]]) -> None
    self.op = op
    self.fd = fd
    self.here_begin = here_begin
    self.here_end_span_id = here_end_span_id
    self.stdin_parts = stdin_parts or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('redir.HereDoc')
    L = out_node.fields

    assert self.op is not None
    x0 = self.op.PrettyTree()
    L.append(('op', x0))

    x1 = PrettyLeaf(str(self.fd), Color_OtherConst)
    L.append(('fd', x1))

    assert self.here_begin is not None
    x2 = self.here_begin.PrettyTree()
    L.append(('here_begin', x2))

    x3 = PrettyLeaf(str(self.here_end_span_id), Color_OtherConst)
    L.append(('here_end_span_id', x3))

    if self.stdin_parts:  # ArrayType
      x4 = PrettyArray()
      for i4 in self.stdin_parts:
        x4.children.append(i4.PrettyTree())
      L.append(('stdin_parts', x4))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('redir.HereDoc')
    L = out_node.fields
    assert self.op is not None
    x0 = self.op.AbbreviatedTree()
    L.append(('op', x0))

    x1 = PrettyLeaf(str(self.fd), Color_OtherConst)
    L.append(('fd', x1))

    assert self.here_begin is not None
    x2 = self.here_begin.AbbreviatedTree()
    L.append(('here_begin', x2))

    x3 = PrettyLeaf(str(self.here_end_span_id), Color_OtherConst)
    L.append(('here_end_span_id', x3))

    if self.stdin_parts:  # ArrayType
      x4 = PrettyArray()
      for i4 in self.stdin_parts:
        x4.children.append(i4.AbbreviatedTree())
      L.append(('stdin_parts', x4))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class redir(object):
  Redir = redir__Redir
  HereDoc = redir__HereDoc

class assign_op_t(runtime.SimpleObj):
  pass

class assign_op_e(object):
  Equal = assign_op_t(1, 'Equal')
  PlusEqual = assign_op_t(2, 'PlusEqual')

class command_e(object):
  NoOp = 1
  Simple = 2
  ExpandedAlias = 3
  Sentence = 4
  ShAssignment = 5
  ControlFlow = 6
  Pipeline = 7
  AndOr = 8
  DoGroup = 9
  BraceGroup = 10
  Subshell = 11
  DParen = 12
  DBracket = 13
  ForEach = 14
  ForExpr = 15
  WhileUntil = 16
  If = 17
  Case = 18
  ShFunction = 19
  TimeBlock = 20
  CommandList = 21
  BareDecl = 22
  VarDecl = 23
  PlaceMutation = 24
  Expr = 25
  Return = 26
  OilCondition = 27
  OilForIn = 28
  Proc = 29
  Func = 30

class command_t(runtime.CompoundObj):
  pass

class command__NoOp(command_t):
  tag = 1
  __slots__ = ('spids',)

  def __init__(self, spids=None):
    # type: (Optional[List[int]]) -> None
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.NoOp')
    L = out_node.fields

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.NoOp')
    L = out_node.fields
    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__Simple(command_t):
  tag = 2
  __slots__ = ('words', 'redirects', 'more_env', 'block', 'spids')

  def __init__(self, words=None, redirects=None, more_env=None, block=None,
               spids=None):
    # type: (Optional[List[word_t]], Optional[List[redir_t]], Optional[List[env_pair]], Optional[command_t], Optional[List[int]]) -> None
    self.words = words or []
    self.redirects = redirects or []
    self.more_env = more_env or []
    self.block = block or None
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.Simple')
    L = out_node.fields

    if self.words:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.words:
        x0.children.append(i0.PrettyTree())
      L.append(('words', x0))

    if self.redirects:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.redirects:
        x1.children.append(i1.PrettyTree())
      L.append(('redirects', x1))

    if self.more_env:  # ArrayType
      x2 = PrettyArray()
      for i2 in self.more_env:
        x2.children.append(i2.PrettyTree())
      L.append(('more_env', x2))

    if self.block is not None:  # MaybeType
      x3 = self.block.PrettyTree()
      L.append(('block', x3))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.Simple')
    L = out_node.fields
    if self.words:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.words:
        x0.children.append(i0.AbbreviatedTree())
      L.append(('words', x0))

    if self.redirects:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.redirects:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('redirects', x1))

    if self.more_env:  # ArrayType
      x2 = PrettyArray()
      for i2 in self.more_env:
        x2.children.append(i2.AbbreviatedTree())
      L.append(('more_env', x2))

    if self.block is not None:  # MaybeType
      x3 = self.block.AbbreviatedTree()
      L.append(('block', x3))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    p = _command__Simple(self)
    return p if p else self._AbbreviatedTree()

class command__ExpandedAlias(command_t):
  tag = 3
  __slots__ = ('child', 'redirects', 'more_env', 'spids')

  def __init__(self, child=None, redirects=None, more_env=None, spids=None):
    # type: (Optional[command_t], Optional[List[redir_t]], Optional[List[env_pair]], Optional[List[int]]) -> None
    self.child = child
    self.redirects = redirects or []
    self.more_env = more_env or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.ExpandedAlias')
    L = out_node.fields

    assert self.child is not None
    x0 = self.child.PrettyTree()
    L.append(('child', x0))

    if self.redirects:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.redirects:
        x1.children.append(i1.PrettyTree())
      L.append(('redirects', x1))

    if self.more_env:  # ArrayType
      x2 = PrettyArray()
      for i2 in self.more_env:
        x2.children.append(i2.PrettyTree())
      L.append(('more_env', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.ExpandedAlias')
    L = out_node.fields
    assert self.child is not None
    x0 = self.child.AbbreviatedTree()
    L.append(('child', x0))

    if self.redirects:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.redirects:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('redirects', x1))

    if self.more_env:  # ArrayType
      x2 = PrettyArray()
      for i2 in self.more_env:
        x2.children.append(i2.AbbreviatedTree())
      L.append(('more_env', x2))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__Sentence(command_t):
  tag = 4
  __slots__ = ('child', 'terminator', 'spids')

  def __init__(self, child=None, terminator=None, spids=None):
    # type: (Optional[command_t], Optional[token], Optional[List[int]]) -> None
    self.child = child
    self.terminator = terminator
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.Sentence')
    L = out_node.fields

    assert self.child is not None
    x0 = self.child.PrettyTree()
    L.append(('child', x0))

    assert self.terminator is not None
    x1 = self.terminator.PrettyTree()
    L.append(('terminator', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.Sentence')
    L = out_node.fields
    assert self.child is not None
    x0 = self.child.AbbreviatedTree()
    L.append(('child', x0))

    assert self.terminator is not None
    x1 = self.terminator.AbbreviatedTree()
    L.append(('terminator', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__ShAssignment(command_t):
  tag = 5
  __slots__ = ('pairs', 'redirects', 'spids')

  def __init__(self, pairs=None, redirects=None, spids=None):
    # type: (Optional[List[assign_pair]], Optional[List[redir_t]], Optional[List[int]]) -> None
    self.pairs = pairs or []
    self.redirects = redirects or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.ShAssignment')
    L = out_node.fields

    if self.pairs:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.pairs:
        x0.children.append(i0.PrettyTree())
      L.append(('pairs', x0))

    if self.redirects:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.redirects:
        x1.children.append(i1.PrettyTree())
      L.append(('redirects', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.ShAssignment')
    L = out_node.fields
    if self.pairs:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.pairs:
        x0.children.append(i0.AbbreviatedTree())
      L.append(('pairs', x0))

    if self.redirects:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.redirects:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('redirects', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__ControlFlow(command_t):
  tag = 6
  __slots__ = ('token', 'arg_word', 'spids')

  def __init__(self, token=None, arg_word=None, spids=None):
    # type: (Optional[token], Optional[word_t], Optional[List[int]]) -> None
    self.token = token
    self.arg_word = arg_word or None
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.ControlFlow')
    L = out_node.fields

    assert self.token is not None
    x0 = self.token.PrettyTree()
    L.append(('token', x0))

    if self.arg_word is not None:  # MaybeType
      x1 = self.arg_word.PrettyTree()
      L.append(('arg_word', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.ControlFlow')
    L = out_node.fields
    assert self.token is not None
    x0 = self.token.AbbreviatedTree()
    L.append(('token', x0))

    if self.arg_word is not None:  # MaybeType
      x1 = self.arg_word.AbbreviatedTree()
      L.append(('arg_word', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__Pipeline(command_t):
  tag = 7
  __slots__ = ('children', 'negated', 'stderr_indices', 'spids')

  def __init__(self, children=None, negated=None, stderr_indices=None,
               spids=None):
    # type: (Optional[List[command_t]], Optional[bool], Optional[List[int]], Optional[List[int]]) -> None
    self.children = children or []
    self.negated = negated
    self.stderr_indices = stderr_indices or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.Pipeline')
    L = out_node.fields

    if self.children:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.children:
        x0.children.append(i0.PrettyTree())
      L.append(('children', x0))

    x1 = PrettyLeaf('T' if self.negated else 'F', Color_OtherConst)
    L.append(('negated', x1))

    if self.stderr_indices:  # ArrayType
      x2 = PrettyArray()
      for i2 in self.stderr_indices:
        x2.children.append(PrettyLeaf(str(i2), Color_OtherConst))
      L.append(('stderr_indices', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.Pipeline')
    L = out_node.fields
    if self.children:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.children:
        x0.children.append(i0.AbbreviatedTree())
      L.append(('children', x0))

    x1 = PrettyLeaf('T' if self.negated else 'F', Color_OtherConst)
    L.append(('negated', x1))

    if self.stderr_indices:  # ArrayType
      x2 = PrettyArray()
      for i2 in self.stderr_indices:
        x2.children.append(PrettyLeaf(str(i2), Color_OtherConst))
      L.append(('stderr_indices', x2))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__AndOr(command_t):
  tag = 8
  __slots__ = ('ops', 'children', 'spids')

  def __init__(self, ops=None, children=None, spids=None):
    # type: (Optional[List[Id_t]], Optional[List[command_t]], Optional[List[int]]) -> None
    self.ops = ops or []
    self.children = children or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.AndOr')
    L = out_node.fields

    if self.ops:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.ops:
        x0.children.append(PrettyLeaf(i0.name, Color_UserType))
      L.append(('ops', x0))

    if self.children:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.children:
        x1.children.append(i1.PrettyTree())
      L.append(('children', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.AndOr')
    L = out_node.fields
    if self.ops:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.ops:
        x0.children.append(PrettyLeaf(i0.name, Color_UserType))
      L.append(('ops', x0))

    if self.children:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.children:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('children', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__DoGroup(command_t):
  tag = 9
  __slots__ = ('children', 'redirects', 'spids')

  def __init__(self, children=None, redirects=None, spids=None):
    # type: (Optional[List[command_t]], Optional[List[redir_t]], Optional[List[int]]) -> None
    self.children = children or []
    self.redirects = redirects or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.DoGroup')
    L = out_node.fields

    if self.children:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.children:
        x0.children.append(i0.PrettyTree())
      L.append(('children', x0))

    if self.redirects:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.redirects:
        x1.children.append(i1.PrettyTree())
      L.append(('redirects', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.DoGroup')
    L = out_node.fields
    if self.children:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.children:
        x0.children.append(i0.AbbreviatedTree())
      L.append(('children', x0))

    if self.redirects:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.redirects:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('redirects', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__BraceGroup(command_t):
  tag = 10
  __slots__ = ('children', 'redirects', 'spids')

  def __init__(self, children=None, redirects=None, spids=None):
    # type: (Optional[List[command_t]], Optional[List[redir_t]], Optional[List[int]]) -> None
    self.children = children or []
    self.redirects = redirects or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.BraceGroup')
    L = out_node.fields

    if self.children:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.children:
        x0.children.append(i0.PrettyTree())
      L.append(('children', x0))

    if self.redirects:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.redirects:
        x1.children.append(i1.PrettyTree())
      L.append(('redirects', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.BraceGroup')
    L = out_node.fields
    if self.children:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.children:
        x0.children.append(i0.AbbreviatedTree())
      L.append(('children', x0))

    if self.redirects:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.redirects:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('redirects', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__Subshell(command_t):
  tag = 11
  __slots__ = ('command_list', 'redirects', 'spids')

  def __init__(self, command_list=None, redirects=None, spids=None):
    # type: (Optional[command_t], Optional[List[redir_t]], Optional[List[int]]) -> None
    self.command_list = command_list
    self.redirects = redirects or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.Subshell')
    L = out_node.fields

    assert self.command_list is not None
    x0 = self.command_list.PrettyTree()
    L.append(('command_list', x0))

    if self.redirects:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.redirects:
        x1.children.append(i1.PrettyTree())
      L.append(('redirects', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.Subshell')
    L = out_node.fields
    assert self.command_list is not None
    x0 = self.command_list.AbbreviatedTree()
    L.append(('command_list', x0))

    if self.redirects:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.redirects:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('redirects', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__DParen(command_t):
  tag = 12
  __slots__ = ('child', 'redirects', 'spids')

  def __init__(self, child=None, redirects=None, spids=None):
    # type: (Optional[arith_expr_t], Optional[List[redir_t]], Optional[List[int]]) -> None
    self.child = child
    self.redirects = redirects or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.DParen')
    L = out_node.fields

    assert self.child is not None
    x0 = self.child.PrettyTree()
    L.append(('child', x0))

    if self.redirects:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.redirects:
        x1.children.append(i1.PrettyTree())
      L.append(('redirects', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.DParen')
    L = out_node.fields
    assert self.child is not None
    x0 = self.child.AbbreviatedTree()
    L.append(('child', x0))

    if self.redirects:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.redirects:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('redirects', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__DBracket(command_t):
  tag = 13
  __slots__ = ('expr', 'redirects', 'spids')

  def __init__(self, expr=None, redirects=None, spids=None):
    # type: (Optional[bool_expr_t], Optional[List[redir_t]], Optional[List[int]]) -> None
    self.expr = expr
    self.redirects = redirects or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.DBracket')
    L = out_node.fields

    assert self.expr is not None
    x0 = self.expr.PrettyTree()
    L.append(('expr', x0))

    if self.redirects:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.redirects:
        x1.children.append(i1.PrettyTree())
      L.append(('redirects', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.DBracket')
    L = out_node.fields
    assert self.expr is not None
    x0 = self.expr.AbbreviatedTree()
    L.append(('expr', x0))

    if self.redirects:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.redirects:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('redirects', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__ForEach(command_t):
  tag = 14
  __slots__ = ('iter_name', 'iter_words', 'do_arg_iter', 'body', 'redirects',
               'spids')

  def __init__(self, iter_name=None, iter_words=None, do_arg_iter=None,
               body=None, redirects=None, spids=None):
    # type: (Optional[str], Optional[List[word_t]], Optional[bool], Optional[command_t], Optional[List[redir_t]], Optional[List[int]]) -> None
    self.iter_name = iter_name
    self.iter_words = iter_words or []
    self.do_arg_iter = do_arg_iter
    self.body = body
    self.redirects = redirects or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.ForEach')
    L = out_node.fields

    x0 = PrettyLeaf(self.iter_name, Color_StringConst)
    L.append(('iter_name', x0))

    if self.iter_words:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.iter_words:
        x1.children.append(i1.PrettyTree())
      L.append(('iter_words', x1))

    x2 = PrettyLeaf('T' if self.do_arg_iter else 'F', Color_OtherConst)
    L.append(('do_arg_iter', x2))

    assert self.body is not None
    x3 = self.body.PrettyTree()
    L.append(('body', x3))

    if self.redirects:  # ArrayType
      x4 = PrettyArray()
      for i4 in self.redirects:
        x4.children.append(i4.PrettyTree())
      L.append(('redirects', x4))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.ForEach')
    L = out_node.fields
    x0 = PrettyLeaf(self.iter_name, Color_StringConst)
    L.append(('iter_name', x0))

    if self.iter_words:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.iter_words:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('iter_words', x1))

    x2 = PrettyLeaf('T' if self.do_arg_iter else 'F', Color_OtherConst)
    L.append(('do_arg_iter', x2))

    assert self.body is not None
    x3 = self.body.AbbreviatedTree()
    L.append(('body', x3))

    if self.redirects:  # ArrayType
      x4 = PrettyArray()
      for i4 in self.redirects:
        x4.children.append(i4.AbbreviatedTree())
      L.append(('redirects', x4))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__ForExpr(command_t):
  tag = 15
  __slots__ = ('init', 'cond', 'update', 'body', 'redirects', 'spids')

  def __init__(self, init=None, cond=None, update=None, body=None,
               redirects=None, spids=None):
    # type: (Optional[arith_expr_t], Optional[arith_expr_t], Optional[arith_expr_t], Optional[command_t], Optional[List[redir_t]], Optional[List[int]]) -> None
    self.init = init or None
    self.cond = cond or None
    self.update = update or None
    self.body = body or None
    self.redirects = redirects or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.ForExpr')
    L = out_node.fields

    if self.init is not None:  # MaybeType
      x0 = self.init.PrettyTree()
      L.append(('init', x0))

    if self.cond is not None:  # MaybeType
      x1 = self.cond.PrettyTree()
      L.append(('cond', x1))

    if self.update is not None:  # MaybeType
      x2 = self.update.PrettyTree()
      L.append(('update', x2))

    if self.body is not None:  # MaybeType
      x3 = self.body.PrettyTree()
      L.append(('body', x3))

    if self.redirects:  # ArrayType
      x4 = PrettyArray()
      for i4 in self.redirects:
        x4.children.append(i4.PrettyTree())
      L.append(('redirects', x4))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.ForExpr')
    L = out_node.fields
    if self.init is not None:  # MaybeType
      x0 = self.init.AbbreviatedTree()
      L.append(('init', x0))

    if self.cond is not None:  # MaybeType
      x1 = self.cond.AbbreviatedTree()
      L.append(('cond', x1))

    if self.update is not None:  # MaybeType
      x2 = self.update.AbbreviatedTree()
      L.append(('update', x2))

    if self.body is not None:  # MaybeType
      x3 = self.body.AbbreviatedTree()
      L.append(('body', x3))

    if self.redirects:  # ArrayType
      x4 = PrettyArray()
      for i4 in self.redirects:
        x4.children.append(i4.AbbreviatedTree())
      L.append(('redirects', x4))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__WhileUntil(command_t):
  tag = 16
  __slots__ = ('keyword', 'cond', 'body', 'redirects', 'spids')

  def __init__(self, keyword=None, cond=None, body=None, redirects=None,
               spids=None):
    # type: (Optional[token], Optional[List[command_t]], Optional[command_t], Optional[List[redir_t]], Optional[List[int]]) -> None
    self.keyword = keyword
    self.cond = cond or []
    self.body = body
    self.redirects = redirects or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.WhileUntil')
    L = out_node.fields

    assert self.keyword is not None
    x0 = self.keyword.PrettyTree()
    L.append(('keyword', x0))

    if self.cond:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.cond:
        x1.children.append(i1.PrettyTree())
      L.append(('cond', x1))

    assert self.body is not None
    x2 = self.body.PrettyTree()
    L.append(('body', x2))

    if self.redirects:  # ArrayType
      x3 = PrettyArray()
      for i3 in self.redirects:
        x3.children.append(i3.PrettyTree())
      L.append(('redirects', x3))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.WhileUntil')
    L = out_node.fields
    assert self.keyword is not None
    x0 = self.keyword.AbbreviatedTree()
    L.append(('keyword', x0))

    if self.cond:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.cond:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('cond', x1))

    assert self.body is not None
    x2 = self.body.AbbreviatedTree()
    L.append(('body', x2))

    if self.redirects:  # ArrayType
      x3 = PrettyArray()
      for i3 in self.redirects:
        x3.children.append(i3.AbbreviatedTree())
      L.append(('redirects', x3))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__If(command_t):
  tag = 17
  __slots__ = ('arms', 'else_action', 'redirects', 'spids')

  def __init__(self, arms=None, else_action=None, redirects=None, spids=None):
    # type: (Optional[List[if_arm]], Optional[List[command_t]], Optional[List[redir_t]], Optional[List[int]]) -> None
    self.arms = arms or []
    self.else_action = else_action or []
    self.redirects = redirects or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.If')
    L = out_node.fields

    if self.arms:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.arms:
        x0.children.append(i0.PrettyTree())
      L.append(('arms', x0))

    if self.else_action:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.else_action:
        x1.children.append(i1.PrettyTree())
      L.append(('else_action', x1))

    if self.redirects:  # ArrayType
      x2 = PrettyArray()
      for i2 in self.redirects:
        x2.children.append(i2.PrettyTree())
      L.append(('redirects', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.If')
    L = out_node.fields
    if self.arms:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.arms:
        x0.children.append(i0.AbbreviatedTree())
      L.append(('arms', x0))

    if self.else_action:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.else_action:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('else_action', x1))

    if self.redirects:  # ArrayType
      x2 = PrettyArray()
      for i2 in self.redirects:
        x2.children.append(i2.AbbreviatedTree())
      L.append(('redirects', x2))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__Case(command_t):
  tag = 18
  __slots__ = ('to_match', 'arms', 'redirects', 'spids')

  def __init__(self, to_match=None, arms=None, redirects=None, spids=None):
    # type: (Optional[word_t], Optional[List[case_arm]], Optional[List[redir_t]], Optional[List[int]]) -> None
    self.to_match = to_match
    self.arms = arms or []
    self.redirects = redirects or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.Case')
    L = out_node.fields

    assert self.to_match is not None
    x0 = self.to_match.PrettyTree()
    L.append(('to_match', x0))

    if self.arms:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.arms:
        x1.children.append(i1.PrettyTree())
      L.append(('arms', x1))

    if self.redirects:  # ArrayType
      x2 = PrettyArray()
      for i2 in self.redirects:
        x2.children.append(i2.PrettyTree())
      L.append(('redirects', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.Case')
    L = out_node.fields
    assert self.to_match is not None
    x0 = self.to_match.AbbreviatedTree()
    L.append(('to_match', x0))

    if self.arms:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.arms:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('arms', x1))

    if self.redirects:  # ArrayType
      x2 = PrettyArray()
      for i2 in self.redirects:
        x2.children.append(i2.AbbreviatedTree())
      L.append(('redirects', x2))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__ShFunction(command_t):
  tag = 19
  __slots__ = ('name', 'body', 'redirects', 'spids')

  def __init__(self, name=None, body=None, redirects=None, spids=None):
    # type: (Optional[str], Optional[command_t], Optional[List[redir_t]], Optional[List[int]]) -> None
    self.name = name
    self.body = body
    self.redirects = redirects or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.ShFunction')
    L = out_node.fields

    x0 = PrettyLeaf(self.name, Color_StringConst)
    L.append(('name', x0))

    assert self.body is not None
    x1 = self.body.PrettyTree()
    L.append(('body', x1))

    if self.redirects:  # ArrayType
      x2 = PrettyArray()
      for i2 in self.redirects:
        x2.children.append(i2.PrettyTree())
      L.append(('redirects', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.ShFunction')
    L = out_node.fields
    x0 = PrettyLeaf(self.name, Color_StringConst)
    L.append(('name', x0))

    assert self.body is not None
    x1 = self.body.AbbreviatedTree()
    L.append(('body', x1))

    if self.redirects:  # ArrayType
      x2 = PrettyArray()
      for i2 in self.redirects:
        x2.children.append(i2.AbbreviatedTree())
      L.append(('redirects', x2))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__TimeBlock(command_t):
  tag = 20
  __slots__ = ('pipeline', 'spids')

  def __init__(self, pipeline=None, spids=None):
    # type: (Optional[command_t], Optional[List[int]]) -> None
    self.pipeline = pipeline
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.TimeBlock')
    L = out_node.fields

    assert self.pipeline is not None
    x0 = self.pipeline.PrettyTree()
    L.append(('pipeline', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.TimeBlock')
    L = out_node.fields
    assert self.pipeline is not None
    x0 = self.pipeline.AbbreviatedTree()
    L.append(('pipeline', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__CommandList(command_t):
  tag = 21
  __slots__ = ('children', 'spids')

  def __init__(self, children=None, spids=None):
    # type: (Optional[List[command_t]], Optional[List[int]]) -> None
    self.children = children or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.CommandList')
    L = out_node.fields

    if self.children:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.children:
        x0.children.append(i0.PrettyTree())
      L.append(('children', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.CommandList')
    L = out_node.fields
    if self.children:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.children:
        x0.children.append(i0.AbbreviatedTree())
      L.append(('children', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__BareDecl(command_t):
  tag = 22
  __slots__ = ('lhs', 'rhs', 'spids')

  def __init__(self, lhs=None, rhs=None, spids=None):
    # type: (Optional[token], Optional[expr_t], Optional[List[int]]) -> None
    self.lhs = lhs
    self.rhs = rhs
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.BareDecl')
    L = out_node.fields

    assert self.lhs is not None
    x0 = self.lhs.PrettyTree()
    L.append(('lhs', x0))

    assert self.rhs is not None
    x1 = self.rhs.PrettyTree()
    L.append(('rhs', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.BareDecl')
    L = out_node.fields
    assert self.lhs is not None
    x0 = self.lhs.AbbreviatedTree()
    L.append(('lhs', x0))

    assert self.rhs is not None
    x1 = self.rhs.AbbreviatedTree()
    L.append(('rhs', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__VarDecl(command_t):
  tag = 23
  __slots__ = ('keyword', 'lhs', 'rhs', 'spids')

  def __init__(self, keyword=None, lhs=None, rhs=None, spids=None):
    # type: (Optional[token], Optional[List[name_type]], Optional[expr_t], Optional[List[int]]) -> None
    self.keyword = keyword or None
    self.lhs = lhs or []
    self.rhs = rhs
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.VarDecl')
    L = out_node.fields

    if self.keyword is not None:  # MaybeType
      x0 = self.keyword.PrettyTree()
      L.append(('keyword', x0))

    if self.lhs:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.lhs:
        x1.children.append(i1.PrettyTree())
      L.append(('lhs', x1))

    assert self.rhs is not None
    x2 = self.rhs.PrettyTree()
    L.append(('rhs', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.VarDecl')
    L = out_node.fields
    if self.keyword is not None:  # MaybeType
      x0 = self.keyword.AbbreviatedTree()
      L.append(('keyword', x0))

    if self.lhs:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.lhs:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('lhs', x1))

    assert self.rhs is not None
    x2 = self.rhs.AbbreviatedTree()
    L.append(('rhs', x2))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__PlaceMutation(command_t):
  tag = 24
  __slots__ = ('keyword', 'lhs', 'op', 'rhs', 'spids')

  def __init__(self, keyword=None, lhs=None, op=None, rhs=None, spids=None):
    # type: (Optional[token], Optional[List[place_expr_t]], Optional[token], Optional[expr_t], Optional[List[int]]) -> None
    self.keyword = keyword or None
    self.lhs = lhs or []
    self.op = op
    self.rhs = rhs
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.PlaceMutation')
    L = out_node.fields

    if self.keyword is not None:  # MaybeType
      x0 = self.keyword.PrettyTree()
      L.append(('keyword', x0))

    if self.lhs:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.lhs:
        x1.children.append(i1.PrettyTree())
      L.append(('lhs', x1))

    assert self.op is not None
    x2 = self.op.PrettyTree()
    L.append(('op', x2))

    assert self.rhs is not None
    x3 = self.rhs.PrettyTree()
    L.append(('rhs', x3))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.PlaceMutation')
    L = out_node.fields
    if self.keyword is not None:  # MaybeType
      x0 = self.keyword.AbbreviatedTree()
      L.append(('keyword', x0))

    if self.lhs:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.lhs:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('lhs', x1))

    assert self.op is not None
    x2 = self.op.AbbreviatedTree()
    L.append(('op', x2))

    assert self.rhs is not None
    x3 = self.rhs.AbbreviatedTree()
    L.append(('rhs', x3))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__Expr(command_t):
  tag = 25
  __slots__ = ('keyword', 'e', 'spids')

  def __init__(self, keyword=None, e=None, spids=None):
    # type: (Optional[speck], Optional[expr_t], Optional[List[int]]) -> None
    self.keyword = keyword
    self.e = e
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.Expr')
    L = out_node.fields

    assert self.keyword is not None
    x0 = self.keyword.PrettyTree()
    L.append(('keyword', x0))

    assert self.e is not None
    x1 = self.e.PrettyTree()
    L.append(('e', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.Expr')
    L = out_node.fields
    assert self.keyword is not None
    x0 = self.keyword.AbbreviatedTree()
    L.append(('keyword', x0))

    assert self.e is not None
    x1 = self.e.AbbreviatedTree()
    L.append(('e', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__Return(command_t):
  tag = 26
  __slots__ = ('keyword', 'e', 'spids')

  def __init__(self, keyword=None, e=None, spids=None):
    # type: (Optional[token], Optional[expr_t], Optional[List[int]]) -> None
    self.keyword = keyword
    self.e = e
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.Return')
    L = out_node.fields

    assert self.keyword is not None
    x0 = self.keyword.PrettyTree()
    L.append(('keyword', x0))

    assert self.e is not None
    x1 = self.e.PrettyTree()
    L.append(('e', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.Return')
    L = out_node.fields
    assert self.keyword is not None
    x0 = self.keyword.AbbreviatedTree()
    L.append(('keyword', x0))

    assert self.e is not None
    x1 = self.e.AbbreviatedTree()
    L.append(('e', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__OilCondition(command_t):
  tag = 27
  __slots__ = ('e', 'spids')

  def __init__(self, e=None, spids=None):
    # type: (Optional[expr_t], Optional[List[int]]) -> None
    self.e = e
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.OilCondition')
    L = out_node.fields

    assert self.e is not None
    x0 = self.e.PrettyTree()
    L.append(('e', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.OilCondition')
    L = out_node.fields
    assert self.e is not None
    x0 = self.e.AbbreviatedTree()
    L.append(('e', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__OilForIn(command_t):
  tag = 28
  __slots__ = ('lhs', 'iterable', 'body', 'spids')

  def __init__(self, lhs=None, iterable=None, body=None, spids=None):
    # type: (Optional[List[name_type]], Optional[expr_t], Optional[command_t], Optional[List[int]]) -> None
    self.lhs = lhs or []
    self.iterable = iterable
    self.body = body
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.OilForIn')
    L = out_node.fields

    if self.lhs:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.lhs:
        x0.children.append(i0.PrettyTree())
      L.append(('lhs', x0))

    assert self.iterable is not None
    x1 = self.iterable.PrettyTree()
    L.append(('iterable', x1))

    assert self.body is not None
    x2 = self.body.PrettyTree()
    L.append(('body', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.OilForIn')
    L = out_node.fields
    if self.lhs:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.lhs:
        x0.children.append(i0.AbbreviatedTree())
      L.append(('lhs', x0))

    assert self.iterable is not None
    x1 = self.iterable.AbbreviatedTree()
    L.append(('iterable', x1))

    assert self.body is not None
    x2 = self.body.AbbreviatedTree()
    L.append(('body', x2))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__Proc(command_t):
  tag = 29
  __slots__ = ('name', 'sig', 'body', 'spids')

  def __init__(self, name=None, sig=None, body=None, spids=None):
    # type: (Optional[token], Optional[proc_sig_t], Optional[command_t], Optional[List[int]]) -> None
    self.name = name
    self.sig = sig
    self.body = body
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.Proc')
    L = out_node.fields

    assert self.name is not None
    x0 = self.name.PrettyTree()
    L.append(('name', x0))

    assert self.sig is not None
    x1 = self.sig.PrettyTree()
    L.append(('sig', x1))

    assert self.body is not None
    x2 = self.body.PrettyTree()
    L.append(('body', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.Proc')
    L = out_node.fields
    assert self.name is not None
    x0 = self.name.AbbreviatedTree()
    L.append(('name', x0))

    assert self.sig is not None
    x1 = self.sig.AbbreviatedTree()
    L.append(('sig', x1))

    assert self.body is not None
    x2 = self.body.AbbreviatedTree()
    L.append(('body', x2))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command__Func(command_t):
  tag = 30
  __slots__ = ('name', 'pos_params', 'pos_splat', 'named_params',
               'named_splat', 'return_types', 'body', 'spids')

  def __init__(self, name=None, pos_params=None, pos_splat=None,
               named_params=None, named_splat=None, return_types=None,
               body=None, spids=None):
    # type: (Optional[token], Optional[List[param]], Optional[token], Optional[List[param]], Optional[token], Optional[List[type_expr_t]], Optional[command_t], Optional[List[int]]) -> None
    self.name = name
    self.pos_params = pos_params or []
    self.pos_splat = pos_splat or None
    self.named_params = named_params or []
    self.named_splat = named_splat or None
    self.return_types = return_types or []
    self.body = body
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.Func')
    L = out_node.fields

    assert self.name is not None
    x0 = self.name.PrettyTree()
    L.append(('name', x0))

    if self.pos_params:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.pos_params:
        x1.children.append(i1.PrettyTree())
      L.append(('pos_params', x1))

    if self.pos_splat is not None:  # MaybeType
      x2 = self.pos_splat.PrettyTree()
      L.append(('pos_splat', x2))

    if self.named_params:  # ArrayType
      x3 = PrettyArray()
      for i3 in self.named_params:
        x3.children.append(i3.PrettyTree())
      L.append(('named_params', x3))

    if self.named_splat is not None:  # MaybeType
      x4 = self.named_splat.PrettyTree()
      L.append(('named_splat', x4))

    if self.return_types:  # ArrayType
      x5 = PrettyArray()
      for i5 in self.return_types:
        x5.children.append(i5.PrettyTree())
      L.append(('return_types', x5))

    assert self.body is not None
    x6 = self.body.PrettyTree()
    L.append(('body', x6))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command.Func')
    L = out_node.fields
    assert self.name is not None
    x0 = self.name.AbbreviatedTree()
    L.append(('name', x0))

    if self.pos_params:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.pos_params:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('pos_params', x1))

    if self.pos_splat is not None:  # MaybeType
      x2 = self.pos_splat.AbbreviatedTree()
      L.append(('pos_splat', x2))

    if self.named_params:  # ArrayType
      x3 = PrettyArray()
      for i3 in self.named_params:
        x3.children.append(i3.AbbreviatedTree())
      L.append(('named_params', x3))

    if self.named_splat is not None:  # MaybeType
      x4 = self.named_splat.AbbreviatedTree()
      L.append(('named_splat', x4))

    if self.return_types:  # ArrayType
      x5 = PrettyArray()
      for i5 in self.return_types:
        x5.children.append(i5.AbbreviatedTree())
      L.append(('return_types', x5))

    assert self.body is not None
    x6 = self.body.AbbreviatedTree()
    L.append(('body', x6))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class command(object):
  NoOp = command__NoOp
  Simple = command__Simple
  ExpandedAlias = command__ExpandedAlias
  Sentence = command__Sentence
  ShAssignment = command__ShAssignment
  ControlFlow = command__ControlFlow
  Pipeline = command__Pipeline
  AndOr = command__AndOr
  DoGroup = command__DoGroup
  BraceGroup = command__BraceGroup
  Subshell = command__Subshell
  DParen = command__DParen
  DBracket = command__DBracket
  ForEach = command__ForEach
  ForExpr = command__ForExpr
  WhileUntil = command__WhileUntil
  If = command__If
  Case = command__Case
  ShFunction = command__ShFunction
  TimeBlock = command__TimeBlock
  CommandList = command__CommandList
  BareDecl = command__BareDecl
  VarDecl = command__VarDecl
  PlaceMutation = command__PlaceMutation
  Expr = command__Expr
  Return = command__Return
  OilCondition = command__OilCondition
  OilForIn = command__OilForIn
  Proc = command__Proc
  Func = command__Func

class proc_sig_e(object):
  Open = 1
  Closed = 2

class proc_sig_t(runtime.CompoundObj):
  pass

class proc_sig__Open(proc_sig_t):
  tag = 1
  __slots__ = ()

  def __init__(self, ):
    # type: () -> None
    pass

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('proc_sig.Open')
    L = out_node.fields

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('proc_sig.Open')
    L = out_node.fields
    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class proc_sig__Closed(proc_sig_t):
  tag = 2
  __slots__ = ('params', 'rest', 'block')

  def __init__(self, params=None, rest=None, block=None):
    # type: (Optional[List[param]], Optional[token], Optional[token]) -> None
    self.params = params or []
    self.rest = rest or None
    self.block = block or None

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('proc_sig.Closed')
    L = out_node.fields

    if self.params:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.params:
        x0.children.append(i0.PrettyTree())
      L.append(('params', x0))

    if self.rest is not None:  # MaybeType
      x1 = self.rest.PrettyTree()
      L.append(('rest', x1))

    if self.block is not None:  # MaybeType
      x2 = self.block.PrettyTree()
      L.append(('block', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('proc_sig.Closed')
    L = out_node.fields
    if self.params:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.params:
        x0.children.append(i0.AbbreviatedTree())
      L.append(('params', x0))

    if self.rest is not None:  # MaybeType
      x1 = self.rest.AbbreviatedTree()
      L.append(('rest', x1))

    if self.block is not None:  # MaybeType
      x2 = self.block.AbbreviatedTree()
      L.append(('block', x2))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class proc_sig(object):
  Open = proc_sig__Open
  Closed = proc_sig__Closed

class glob_part_e(object):
  GlobLit = 1
  GlobOp = 2
  CharClass = 3

class glob_part_t(runtime.CompoundObj):
  pass

class glob_part__GlobLit(glob_part_t):
  tag = 1
  __slots__ = ('id', 's')

  def __init__(self, id=None, s=None):
    # type: (Optional[Id_t], Optional[str]) -> None
    self.id = id
    self.s = s

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('glob_part.GlobLit')
    L = out_node.fields

    assert self.id is not None
    x0 = PrettyLeaf(self.id.name, Color_UserType)
    L.append(('id', x0))

    x1 = PrettyLeaf(self.s, Color_StringConst)
    L.append(('s', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('glob_part.GlobLit')
    L = out_node.fields
    assert self.id is not None
    x0 = PrettyLeaf(self.id.name, Color_UserType)
    L.append(('id', x0))

    x1 = PrettyLeaf(self.s, Color_StringConst)
    L.append(('s', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class glob_part__GlobOp(glob_part_t):
  tag = 2
  __slots__ = ('op_id',)

  def __init__(self, op_id=None):
    # type: (Optional[Id_t]) -> None
    self.op_id = op_id

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('glob_part.GlobOp')
    L = out_node.fields

    assert self.op_id is not None
    x0 = PrettyLeaf(self.op_id.name, Color_UserType)
    L.append(('op_id', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('glob_part.GlobOp')
    L = out_node.fields
    assert self.op_id is not None
    x0 = PrettyLeaf(self.op_id.name, Color_UserType)
    L.append(('op_id', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class glob_part__CharClass(glob_part_t):
  tag = 3
  __slots__ = ('negated', 'strs')

  def __init__(self, negated=None, strs=None):
    # type: (Optional[bool], Optional[List[str]]) -> None
    self.negated = negated
    self.strs = strs or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('glob_part.CharClass')
    L = out_node.fields

    x0 = PrettyLeaf('T' if self.negated else 'F', Color_OtherConst)
    L.append(('negated', x0))

    if self.strs:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.strs:
        x1.children.append(PrettyLeaf(i1, Color_StringConst))
      L.append(('strs', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('glob_part.CharClass')
    L = out_node.fields
    x0 = PrettyLeaf('T' if self.negated else 'F', Color_OtherConst)
    L.append(('negated', x0))

    if self.strs:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.strs:
        x1.children.append(PrettyLeaf(i1, Color_StringConst))
      L.append(('strs', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class glob_part(object):
  GlobLit = glob_part__GlobLit
  GlobOp = glob_part__GlobOp
  CharClass = glob_part__CharClass

class printf_part_e(object):
  Literal = 1
  Percent = 2

class printf_part_t(runtime.CompoundObj):
  pass

class printf_part__Literal(printf_part_t):
  tag = 1
  __slots__ = ('token',)

  def __init__(self, token=None):
    # type: (Optional[token]) -> None
    self.token = token

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('printf_part.Literal')
    L = out_node.fields

    assert self.token is not None
    x0 = self.token.PrettyTree()
    L.append(('token', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('printf_part.Literal')
    L = out_node.fields
    assert self.token is not None
    x0 = self.token.AbbreviatedTree()
    L.append(('token', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class printf_part__Percent(printf_part_t):
  tag = 2
  __slots__ = ('flag', 'width', 'precision', 'type')

  def __init__(self, flag=None, width=None, precision=None, type=None):
    # type: (Optional[token], Optional[token], Optional[token], Optional[token]) -> None
    self.flag = flag or None
    self.width = width or None
    self.precision = precision or None
    self.type = type

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('printf_part.Percent')
    L = out_node.fields

    if self.flag is not None:  # MaybeType
      x0 = self.flag.PrettyTree()
      L.append(('flag', x0))

    if self.width is not None:  # MaybeType
      x1 = self.width.PrettyTree()
      L.append(('width', x1))

    if self.precision is not None:  # MaybeType
      x2 = self.precision.PrettyTree()
      L.append(('precision', x2))

    assert self.type is not None
    x3 = self.type.PrettyTree()
    L.append(('type', x3))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('printf_part.Percent')
    L = out_node.fields
    if self.flag is not None:  # MaybeType
      x0 = self.flag.AbbreviatedTree()
      L.append(('flag', x0))

    if self.width is not None:  # MaybeType
      x1 = self.width.AbbreviatedTree()
      L.append(('width', x1))

    if self.precision is not None:  # MaybeType
      x2 = self.precision.AbbreviatedTree()
      L.append(('precision', x2))

    assert self.type is not None
    x3 = self.type.AbbreviatedTree()
    L.append(('type', x3))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class printf_part(object):
  Literal = printf_part__Literal
  Percent = printf_part__Percent

class expr_context_t(runtime.SimpleObj):
  pass

class expr_context_e(object):
  Load = expr_context_t(1, 'Load')
  Store = expr_context_t(2, 'Store')
  Del = expr_context_t(3, 'Del')
  AugLoad = expr_context_t(4, 'AugLoad')
  AugStore = expr_context_t(5, 'AugStore')
  Param = expr_context_t(6, 'Param')

class type_expr_e(object):
  Simple = 1
  Compound = 2

class type_expr_t(runtime.CompoundObj):
  pass

class type_expr__Simple(type_expr_t):
  tag = 1
  __slots__ = ('name',)

  def __init__(self, name=None):
    # type: (Optional[token]) -> None
    self.name = name

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('type_expr.Simple')
    L = out_node.fields

    assert self.name is not None
    x0 = self.name.PrettyTree()
    L.append(('name', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('type_expr.Simple')
    L = out_node.fields
    assert self.name is not None
    x0 = self.name.AbbreviatedTree()
    L.append(('name', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class type_expr__Compound(type_expr_t):
  tag = 2
  __slots__ = ('name', 'params')

  def __init__(self, name=None, params=None):
    # type: (Optional[token], Optional[List[type_expr_t]]) -> None
    self.name = name
    self.params = params or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('type_expr.Compound')
    L = out_node.fields

    assert self.name is not None
    x0 = self.name.PrettyTree()
    L.append(('name', x0))

    if self.params:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.params:
        x1.children.append(i1.PrettyTree())
      L.append(('params', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('type_expr.Compound')
    L = out_node.fields
    assert self.name is not None
    x0 = self.name.AbbreviatedTree()
    L.append(('name', x0))

    if self.params:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.params:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('params', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class type_expr(object):
  Simple = type_expr__Simple
  Compound = type_expr__Compound

class place_expr_e(object):
  Var = 1
  Subscript = 1018
  Attribute = 1019

class place_expr_t(runtime.CompoundObj):
  pass

class place_expr__Var(place_expr_t):
  tag = 1
  __slots__ = ('name',)

  def __init__(self, name=None):
    # type: (Optional[token]) -> None
    self.name = name

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('place_expr.Var')
    L = out_node.fields

    assert self.name is not None
    x0 = self.name.PrettyTree()
    L.append(('name', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('place_expr.Var')
    L = out_node.fields
    assert self.name is not None
    x0 = self.name.AbbreviatedTree()
    L.append(('name', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class place_expr(object):
  Var = place_expr__Var

class expr_e(object):
  Var = 1
  Const = 2
  ShArrayLiteral = 1008
  ArrayLiteral = 4
  RegexLiteral = 5
  SimpleVarSub = 1005
  BracedVarSub = 1006
  CommandSub = 1007
  SingleQuoted = 1004
  DoubleQuoted = 1003
  Lambda = 11
  Unary = 12
  Binary = 13
  Compare = 14
  FuncCall = 15
  IfExp = 16
  Tuple = 17
  List = 18
  Dict = 19
  Implicit = 20
  ListComp = 21
  DictComp = 22
  GeneratorExp = 23
  Range = 24
  Slice = 25
  Subscript = 1018
  Attribute = 1019
  Spread = 28

class expr_t(runtime.CompoundObj):
  pass

class expr__Var(expr_t):
  tag = 1
  __slots__ = ('name', 'spids')

  def __init__(self, name=None, spids=None):
    # type: (Optional[token], Optional[List[int]]) -> None
    self.name = name
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.Var')
    L = out_node.fields

    assert self.name is not None
    x0 = self.name.PrettyTree()
    L.append(('name', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.Var')
    L = out_node.fields
    assert self.name is not None
    x0 = self.name.AbbreviatedTree()
    L.append(('name', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    p = _expr__Var(self)
    return p if p else self._AbbreviatedTree()

class expr__Const(expr_t):
  tag = 2
  __slots__ = ('c', 'spids')

  def __init__(self, c=None, spids=None):
    # type: (Optional[token], Optional[List[int]]) -> None
    self.c = c
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.Const')
    L = out_node.fields

    assert self.c is not None
    x0 = self.c.PrettyTree()
    L.append(('c', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.Const')
    L = out_node.fields
    assert self.c is not None
    x0 = self.c.AbbreviatedTree()
    L.append(('c', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    p = _expr__Const(self)
    return p if p else self._AbbreviatedTree()

class expr__ArrayLiteral(expr_t):
  tag = 4
  __slots__ = ('left', 'items', 'spids')

  def __init__(self, left=None, items=None, spids=None):
    # type: (Optional[token], Optional[List[expr_t]], Optional[List[int]]) -> None
    self.left = left
    self.items = items or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.ArrayLiteral')
    L = out_node.fields

    assert self.left is not None
    x0 = self.left.PrettyTree()
    L.append(('left', x0))

    if self.items:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.items:
        x1.children.append(i1.PrettyTree())
      L.append(('items', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.ArrayLiteral')
    L = out_node.fields
    assert self.left is not None
    x0 = self.left.AbbreviatedTree()
    L.append(('left', x0))

    if self.items:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.items:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('items', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class expr__RegexLiteral(expr_t):
  tag = 5
  __slots__ = ('left', 'regex', 'flags', 'trans_pref', 'spids')

  def __init__(self, left=None, regex=None, flags=None, trans_pref=None,
               spids=None):
    # type: (Optional[token], Optional[re_t], Optional[List[token]], Optional[List[token]], Optional[List[int]]) -> None
    self.left = left
    self.regex = regex
    self.flags = flags or []
    self.trans_pref = trans_pref or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.RegexLiteral')
    L = out_node.fields

    assert self.left is not None
    x0 = self.left.PrettyTree()
    L.append(('left', x0))

    assert self.regex is not None
    x1 = self.regex.PrettyTree()
    L.append(('regex', x1))

    if self.flags:  # ArrayType
      x2 = PrettyArray()
      for i2 in self.flags:
        x2.children.append(i2.PrettyTree())
      L.append(('flags', x2))

    if self.trans_pref:  # ArrayType
      x3 = PrettyArray()
      for i3 in self.trans_pref:
        x3.children.append(i3.PrettyTree())
      L.append(('trans_pref', x3))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.RegexLiteral')
    L = out_node.fields
    assert self.left is not None
    x0 = self.left.AbbreviatedTree()
    L.append(('left', x0))

    assert self.regex is not None
    x1 = self.regex.AbbreviatedTree()
    L.append(('regex', x1))

    if self.flags:  # ArrayType
      x2 = PrettyArray()
      for i2 in self.flags:
        x2.children.append(i2.AbbreviatedTree())
      L.append(('flags', x2))

    if self.trans_pref:  # ArrayType
      x3 = PrettyArray()
      for i3 in self.trans_pref:
        x3.children.append(i3.AbbreviatedTree())
      L.append(('trans_pref', x3))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class expr__Lambda(expr_t):
  tag = 11
  __slots__ = ('params', 'body', 'spids')

  def __init__(self, params=None, body=None, spids=None):
    # type: (Optional[List[name_type]], Optional[expr_t], Optional[List[int]]) -> None
    self.params = params or []
    self.body = body
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.Lambda')
    L = out_node.fields

    if self.params:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.params:
        x0.children.append(i0.PrettyTree())
      L.append(('params', x0))

    assert self.body is not None
    x1 = self.body.PrettyTree()
    L.append(('body', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.Lambda')
    L = out_node.fields
    if self.params:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.params:
        x0.children.append(i0.AbbreviatedTree())
      L.append(('params', x0))

    assert self.body is not None
    x1 = self.body.AbbreviatedTree()
    L.append(('body', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class expr__Unary(expr_t):
  tag = 12
  __slots__ = ('op', 'child', 'spids')

  def __init__(self, op=None, child=None, spids=None):
    # type: (Optional[token], Optional[expr_t], Optional[List[int]]) -> None
    self.op = op
    self.child = child
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.Unary')
    L = out_node.fields

    assert self.op is not None
    x0 = self.op.PrettyTree()
    L.append(('op', x0))

    assert self.child is not None
    x1 = self.child.PrettyTree()
    L.append(('child', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.Unary')
    L = out_node.fields
    assert self.op is not None
    x0 = self.op.AbbreviatedTree()
    L.append(('op', x0))

    assert self.child is not None
    x1 = self.child.AbbreviatedTree()
    L.append(('child', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class expr__Binary(expr_t):
  tag = 13
  __slots__ = ('op', 'left', 'right', 'spids')

  def __init__(self, op=None, left=None, right=None, spids=None):
    # type: (Optional[token], Optional[expr_t], Optional[expr_t], Optional[List[int]]) -> None
    self.op = op
    self.left = left
    self.right = right
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.Binary')
    L = out_node.fields

    assert self.op is not None
    x0 = self.op.PrettyTree()
    L.append(('op', x0))

    assert self.left is not None
    x1 = self.left.PrettyTree()
    L.append(('left', x1))

    assert self.right is not None
    x2 = self.right.PrettyTree()
    L.append(('right', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.Binary')
    L = out_node.fields
    assert self.op is not None
    x0 = self.op.AbbreviatedTree()
    L.append(('op', x0))

    assert self.left is not None
    x1 = self.left.AbbreviatedTree()
    L.append(('left', x1))

    assert self.right is not None
    x2 = self.right.AbbreviatedTree()
    L.append(('right', x2))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class expr__Compare(expr_t):
  tag = 14
  __slots__ = ('left', 'ops', 'comparators', 'spids')

  def __init__(self, left=None, ops=None, comparators=None, spids=None):
    # type: (Optional[expr_t], Optional[List[speck]], Optional[List[expr_t]], Optional[List[int]]) -> None
    self.left = left
    self.ops = ops or []
    self.comparators = comparators or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.Compare')
    L = out_node.fields

    assert self.left is not None
    x0 = self.left.PrettyTree()
    L.append(('left', x0))

    if self.ops:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.ops:
        x1.children.append(i1.PrettyTree())
      L.append(('ops', x1))

    if self.comparators:  # ArrayType
      x2 = PrettyArray()
      for i2 in self.comparators:
        x2.children.append(i2.PrettyTree())
      L.append(('comparators', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.Compare')
    L = out_node.fields
    assert self.left is not None
    x0 = self.left.AbbreviatedTree()
    L.append(('left', x0))

    if self.ops:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.ops:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('ops', x1))

    if self.comparators:  # ArrayType
      x2 = PrettyArray()
      for i2 in self.comparators:
        x2.children.append(i2.AbbreviatedTree())
      L.append(('comparators', x2))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class expr__FuncCall(expr_t):
  tag = 15
  __slots__ = ('func', 'args', 'spids')

  def __init__(self, func=None, args=None, spids=None):
    # type: (Optional[expr_t], Optional[arg_list], Optional[List[int]]) -> None
    self.func = func
    self.args = args
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.FuncCall')
    L = out_node.fields

    assert self.func is not None
    x0 = self.func.PrettyTree()
    L.append(('func', x0))

    assert self.args is not None
    x1 = self.args.PrettyTree()
    L.append(('args', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.FuncCall')
    L = out_node.fields
    assert self.func is not None
    x0 = self.func.AbbreviatedTree()
    L.append(('func', x0))

    assert self.args is not None
    x1 = self.args.AbbreviatedTree()
    L.append(('args', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class expr__IfExp(expr_t):
  tag = 16
  __slots__ = ('test', 'body', 'orelse', 'spids')

  def __init__(self, test=None, body=None, orelse=None, spids=None):
    # type: (Optional[expr_t], Optional[expr_t], Optional[expr_t], Optional[List[int]]) -> None
    self.test = test
    self.body = body
    self.orelse = orelse
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.IfExp')
    L = out_node.fields

    assert self.test is not None
    x0 = self.test.PrettyTree()
    L.append(('test', x0))

    assert self.body is not None
    x1 = self.body.PrettyTree()
    L.append(('body', x1))

    assert self.orelse is not None
    x2 = self.orelse.PrettyTree()
    L.append(('orelse', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.IfExp')
    L = out_node.fields
    assert self.test is not None
    x0 = self.test.AbbreviatedTree()
    L.append(('test', x0))

    assert self.body is not None
    x1 = self.body.AbbreviatedTree()
    L.append(('body', x1))

    assert self.orelse is not None
    x2 = self.orelse.AbbreviatedTree()
    L.append(('orelse', x2))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class expr__Tuple(expr_t):
  tag = 17
  __slots__ = ('elts', 'ctx', 'spids')

  def __init__(self, elts=None, ctx=None, spids=None):
    # type: (Optional[List[expr_t]], Optional[expr_context_t], Optional[List[int]]) -> None
    self.elts = elts or []
    self.ctx = ctx
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.Tuple')
    L = out_node.fields

    if self.elts:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.elts:
        x0.children.append(i0.PrettyTree())
      L.append(('elts', x0))

    assert self.ctx is not None
    x1 = PrettyLeaf(self.ctx.name, Color_TypeName)
    L.append(('ctx', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.Tuple')
    L = out_node.fields
    if self.elts:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.elts:
        x0.children.append(i0.AbbreviatedTree())
      L.append(('elts', x0))

    assert self.ctx is not None
    x1 = PrettyLeaf(self.ctx.name, Color_TypeName)
    L.append(('ctx', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class expr__List(expr_t):
  tag = 18
  __slots__ = ('elts', 'ctx', 'spids')

  def __init__(self, elts=None, ctx=None, spids=None):
    # type: (Optional[List[expr_t]], Optional[expr_context_t], Optional[List[int]]) -> None
    self.elts = elts or []
    self.ctx = ctx
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.List')
    L = out_node.fields

    if self.elts:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.elts:
        x0.children.append(i0.PrettyTree())
      L.append(('elts', x0))

    assert self.ctx is not None
    x1 = PrettyLeaf(self.ctx.name, Color_TypeName)
    L.append(('ctx', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.List')
    L = out_node.fields
    if self.elts:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.elts:
        x0.children.append(i0.AbbreviatedTree())
      L.append(('elts', x0))

    assert self.ctx is not None
    x1 = PrettyLeaf(self.ctx.name, Color_TypeName)
    L.append(('ctx', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class expr__Dict(expr_t):
  tag = 19
  __slots__ = ('keys', 'values', 'spids')

  def __init__(self, keys=None, values=None, spids=None):
    # type: (Optional[List[expr_t]], Optional[List[expr_t]], Optional[List[int]]) -> None
    self.keys = keys or []
    self.values = values or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.Dict')
    L = out_node.fields

    if self.keys:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.keys:
        x0.children.append(i0.PrettyTree())
      L.append(('keys', x0))

    if self.values:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.values:
        x1.children.append(i1.PrettyTree())
      L.append(('values', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.Dict')
    L = out_node.fields
    if self.keys:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.keys:
        x0.children.append(i0.AbbreviatedTree())
      L.append(('keys', x0))

    if self.values:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.values:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('values', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class expr__Implicit(expr_t):
  tag = 20
  __slots__ = ('spids',)

  def __init__(self, spids=None):
    # type: (Optional[List[int]]) -> None
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.Implicit')
    L = out_node.fields

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.Implicit')
    L = out_node.fields
    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class expr__ListComp(expr_t):
  tag = 21
  __slots__ = ('elt', 'generators', 'spids')

  def __init__(self, elt=None, generators=None, spids=None):
    # type: (Optional[expr_t], Optional[List[comprehension]], Optional[List[int]]) -> None
    self.elt = elt
    self.generators = generators or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.ListComp')
    L = out_node.fields

    assert self.elt is not None
    x0 = self.elt.PrettyTree()
    L.append(('elt', x0))

    if self.generators:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.generators:
        x1.children.append(i1.PrettyTree())
      L.append(('generators', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.ListComp')
    L = out_node.fields
    assert self.elt is not None
    x0 = self.elt.AbbreviatedTree()
    L.append(('elt', x0))

    if self.generators:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.generators:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('generators', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class expr__DictComp(expr_t):
  tag = 22
  __slots__ = ('key', 'value', 'generators', 'spids')

  def __init__(self, key=None, value=None, generators=None, spids=None):
    # type: (Optional[expr_t], Optional[expr_t], Optional[List[comprehension]], Optional[List[int]]) -> None
    self.key = key
    self.value = value
    self.generators = generators or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.DictComp')
    L = out_node.fields

    assert self.key is not None
    x0 = self.key.PrettyTree()
    L.append(('key', x0))

    assert self.value is not None
    x1 = self.value.PrettyTree()
    L.append(('value', x1))

    if self.generators:  # ArrayType
      x2 = PrettyArray()
      for i2 in self.generators:
        x2.children.append(i2.PrettyTree())
      L.append(('generators', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.DictComp')
    L = out_node.fields
    assert self.key is not None
    x0 = self.key.AbbreviatedTree()
    L.append(('key', x0))

    assert self.value is not None
    x1 = self.value.AbbreviatedTree()
    L.append(('value', x1))

    if self.generators:  # ArrayType
      x2 = PrettyArray()
      for i2 in self.generators:
        x2.children.append(i2.AbbreviatedTree())
      L.append(('generators', x2))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class expr__GeneratorExp(expr_t):
  tag = 23
  __slots__ = ('elt', 'generators', 'spids')

  def __init__(self, elt=None, generators=None, spids=None):
    # type: (Optional[expr_t], Optional[List[comprehension]], Optional[List[int]]) -> None
    self.elt = elt
    self.generators = generators or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.GeneratorExp')
    L = out_node.fields

    assert self.elt is not None
    x0 = self.elt.PrettyTree()
    L.append(('elt', x0))

    if self.generators:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.generators:
        x1.children.append(i1.PrettyTree())
      L.append(('generators', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.GeneratorExp')
    L = out_node.fields
    assert self.elt is not None
    x0 = self.elt.AbbreviatedTree()
    L.append(('elt', x0))

    if self.generators:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.generators:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('generators', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class expr__Range(expr_t):
  tag = 24
  __slots__ = ('lower', 'upper', 'spids')

  def __init__(self, lower=None, upper=None, spids=None):
    # type: (Optional[expr_t], Optional[expr_t], Optional[List[int]]) -> None
    self.lower = lower
    self.upper = upper
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.Range')
    L = out_node.fields

    assert self.lower is not None
    x0 = self.lower.PrettyTree()
    L.append(('lower', x0))

    assert self.upper is not None
    x1 = self.upper.PrettyTree()
    L.append(('upper', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.Range')
    L = out_node.fields
    assert self.lower is not None
    x0 = self.lower.AbbreviatedTree()
    L.append(('lower', x0))

    assert self.upper is not None
    x1 = self.upper.AbbreviatedTree()
    L.append(('upper', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class expr__Slice(expr_t):
  tag = 25
  __slots__ = ('lower', 'upper', 'spids')

  def __init__(self, lower=None, upper=None, spids=None):
    # type: (Optional[expr_t], Optional[expr_t], Optional[List[int]]) -> None
    self.lower = lower or None
    self.upper = upper or None
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.Slice')
    L = out_node.fields

    if self.lower is not None:  # MaybeType
      x0 = self.lower.PrettyTree()
      L.append(('lower', x0))

    if self.upper is not None:  # MaybeType
      x1 = self.upper.PrettyTree()
      L.append(('upper', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.Slice')
    L = out_node.fields
    if self.lower is not None:  # MaybeType
      x0 = self.lower.AbbreviatedTree()
      L.append(('lower', x0))

    if self.upper is not None:  # MaybeType
      x1 = self.upper.AbbreviatedTree()
      L.append(('upper', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class expr__Spread(expr_t):
  tag = 28
  __slots__ = ('child', 'ctx', 'spids')

  def __init__(self, child=None, ctx=None, spids=None):
    # type: (Optional[expr_t], Optional[expr_context_t], Optional[List[int]]) -> None
    self.child = child
    self.ctx = ctx
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.Spread')
    L = out_node.fields

    assert self.child is not None
    x0 = self.child.PrettyTree()
    L.append(('child', x0))

    assert self.ctx is not None
    x1 = PrettyLeaf(self.ctx.name, Color_TypeName)
    L.append(('ctx', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('expr.Spread')
    L = out_node.fields
    assert self.child is not None
    x0 = self.child.AbbreviatedTree()
    L.append(('child', x0))

    assert self.ctx is not None
    x1 = PrettyLeaf(self.ctx.name, Color_TypeName)
    L.append(('ctx', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class expr(object):
  Var = expr__Var
  Const = expr__Const
  ArrayLiteral = expr__ArrayLiteral
  RegexLiteral = expr__RegexLiteral
  Lambda = expr__Lambda
  Unary = expr__Unary
  Binary = expr__Binary
  Compare = expr__Compare
  FuncCall = expr__FuncCall
  IfExp = expr__IfExp
  Tuple = expr__Tuple
  List = expr__List
  Dict = expr__Dict
  Implicit = expr__Implicit
  ListComp = expr__ListComp
  DictComp = expr__DictComp
  GeneratorExp = expr__GeneratorExp
  Range = expr__Range
  Slice = expr__Slice
  Spread = expr__Spread

class class_literal_term_e(object):
  PosixClass = 1020
  PerlClass = 1021
  Range = 3
  CharLiteral = 4
  SimpleVarSub = 1005
  BracedVarSub = 1006
  SingleQuoted = 1004
  DoubleQuoted = 1003
  ByteSet = 9
  CodePoint = 10

class class_literal_term_t(runtime.CompoundObj):
  pass

class class_literal_term__Range(class_literal_term_t):
  tag = 3
  __slots__ = ('start', 'end')

  def __init__(self, start=None, end=None):
    # type: (Optional[str], Optional[str]) -> None
    self.start = start
    self.end = end

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('class_literal_term.Range')
    L = out_node.fields

    x0 = PrettyLeaf(self.start, Color_StringConst)
    L.append(('start', x0))

    x1 = PrettyLeaf(self.end, Color_StringConst)
    L.append(('end', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('class_literal_term.Range')
    L = out_node.fields
    x0 = PrettyLeaf(self.start, Color_StringConst)
    L.append(('start', x0))

    x1 = PrettyLeaf(self.end, Color_StringConst)
    L.append(('end', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class class_literal_term__CharLiteral(class_literal_term_t):
  tag = 4
  __slots__ = ('tok',)

  def __init__(self, tok=None):
    # type: (Optional[token]) -> None
    self.tok = tok

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('class_literal_term.CharLiteral')
    L = out_node.fields

    assert self.tok is not None
    x0 = self.tok.PrettyTree()
    L.append(('tok', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('class_literal_term.CharLiteral')
    L = out_node.fields
    assert self.tok is not None
    x0 = self.tok.AbbreviatedTree()
    L.append(('tok', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class class_literal_term__ByteSet(class_literal_term_t):
  tag = 9
  __slots__ = ('bytes', 'spid')

  def __init__(self, bytes=None, spid=None):
    # type: (Optional[str], Optional[int]) -> None
    self.bytes = bytes
    self.spid = spid

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('class_literal_term.ByteSet')
    L = out_node.fields

    x0 = PrettyLeaf(self.bytes, Color_StringConst)
    L.append(('bytes', x0))

    x1 = PrettyLeaf(str(self.spid), Color_OtherConst)
    L.append(('spid', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('class_literal_term.ByteSet')
    L = out_node.fields
    x0 = PrettyLeaf(self.bytes, Color_StringConst)
    L.append(('bytes', x0))

    x1 = PrettyLeaf(str(self.spid), Color_OtherConst)
    L.append(('spid', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class class_literal_term__CodePoint(class_literal_term_t):
  tag = 10
  __slots__ = ('i', 'spid')

  def __init__(self, i=None, spid=None):
    # type: (Optional[int], Optional[int]) -> None
    self.i = i
    self.spid = spid

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('class_literal_term.CodePoint')
    L = out_node.fields

    x0 = PrettyLeaf(str(self.i), Color_OtherConst)
    L.append(('i', x0))

    x1 = PrettyLeaf(str(self.spid), Color_OtherConst)
    L.append(('spid', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('class_literal_term.CodePoint')
    L = out_node.fields
    x0 = PrettyLeaf(str(self.i), Color_OtherConst)
    L.append(('i', x0))

    x1 = PrettyLeaf(str(self.spid), Color_OtherConst)
    L.append(('spid', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class class_literal_term(object):
  Range = class_literal_term__Range
  CharLiteral = class_literal_term__CharLiteral
  ByteSet = class_literal_term__ByteSet
  CodePoint = class_literal_term__CodePoint

class re_repeat_e(object):
  Op = 1
  Num = 2
  Range = 3

class re_repeat_t(runtime.CompoundObj):
  pass

class re_repeat__Op(re_repeat_t):
  tag = 1
  __slots__ = ('op', 'modifier')

  def __init__(self, op=None, modifier=None):
    # type: (Optional[token], Optional[Id_t]) -> None
    self.op = op
    self.modifier = modifier

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('re_repeat.Op')
    L = out_node.fields

    assert self.op is not None
    x0 = self.op.PrettyTree()
    L.append(('op', x0))

    assert self.modifier is not None
    x1 = PrettyLeaf(self.modifier.name, Color_UserType)
    L.append(('modifier', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('re_repeat.Op')
    L = out_node.fields
    assert self.op is not None
    x0 = self.op.AbbreviatedTree()
    L.append(('op', x0))

    assert self.modifier is not None
    x1 = PrettyLeaf(self.modifier.name, Color_UserType)
    L.append(('modifier', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class re_repeat__Num(re_repeat_t):
  tag = 2
  __slots__ = ('times', 'modifier')

  def __init__(self, times=None, modifier=None):
    # type: (Optional[token], Optional[Id_t]) -> None
    self.times = times
    self.modifier = modifier

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('re_repeat.Num')
    L = out_node.fields

    assert self.times is not None
    x0 = self.times.PrettyTree()
    L.append(('times', x0))

    assert self.modifier is not None
    x1 = PrettyLeaf(self.modifier.name, Color_UserType)
    L.append(('modifier', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('re_repeat.Num')
    L = out_node.fields
    assert self.times is not None
    x0 = self.times.AbbreviatedTree()
    L.append(('times', x0))

    assert self.modifier is not None
    x1 = PrettyLeaf(self.modifier.name, Color_UserType)
    L.append(('modifier', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class re_repeat__Range(re_repeat_t):
  tag = 3
  __slots__ = ('lower', 'upper', 'modifier')

  def __init__(self, lower=None, upper=None, modifier=None):
    # type: (Optional[token], Optional[token], Optional[Id_t]) -> None
    self.lower = lower or None
    self.upper = upper or None
    self.modifier = modifier

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('re_repeat.Range')
    L = out_node.fields

    if self.lower is not None:  # MaybeType
      x0 = self.lower.PrettyTree()
      L.append(('lower', x0))

    if self.upper is not None:  # MaybeType
      x1 = self.upper.PrettyTree()
      L.append(('upper', x1))

    assert self.modifier is not None
    x2 = PrettyLeaf(self.modifier.name, Color_UserType)
    L.append(('modifier', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('re_repeat.Range')
    L = out_node.fields
    if self.lower is not None:  # MaybeType
      x0 = self.lower.AbbreviatedTree()
      L.append(('lower', x0))

    if self.upper is not None:  # MaybeType
      x1 = self.upper.AbbreviatedTree()
      L.append(('upper', x1))

    assert self.modifier is not None
    x2 = PrettyLeaf(self.modifier.name, Color_UserType)
    L.append(('modifier', x2))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class re_repeat(object):
  Op = re_repeat__Op
  Num = re_repeat__Num
  Range = re_repeat__Range

class re_e(object):
  Speck = 1002
  Token = 1001
  PosixClass = 1020
  PerlClass = 1021
  ClassLiteral = 5
  Splice = 6
  SimpleVarSub = 1005
  BracedVarSub = 1006
  SingleQuoted = 1004
  DoubleQuoted = 1003
  Repeat = 11
  Seq = 12
  Alt = 13
  Group = 14
  Capture = 15
  Backtracking = 16
  Primitive = 17
  LiteralChars = 18

class re_t(runtime.CompoundObj):
  pass

class re__ClassLiteral(re_t):
  tag = 5
  __slots__ = ('negated', 'terms')

  def __init__(self, negated=None, terms=None):
    # type: (Optional[bool], Optional[List[class_literal_term_t]]) -> None
    self.negated = negated
    self.terms = terms or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('re.ClassLiteral')
    L = out_node.fields

    x0 = PrettyLeaf('T' if self.negated else 'F', Color_OtherConst)
    L.append(('negated', x0))

    if self.terms:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.terms:
        x1.children.append(i1.PrettyTree())
      L.append(('terms', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('re.ClassLiteral')
    L = out_node.fields
    x0 = PrettyLeaf('T' if self.negated else 'F', Color_OtherConst)
    L.append(('negated', x0))

    if self.terms:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.terms:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('terms', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class re__Splice(re_t):
  tag = 6
  __slots__ = ('name',)

  def __init__(self, name=None):
    # type: (Optional[token]) -> None
    self.name = name

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('re.Splice')
    L = out_node.fields

    assert self.name is not None
    x0 = self.name.PrettyTree()
    L.append(('name', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('re.Splice')
    L = out_node.fields
    assert self.name is not None
    x0 = self.name.AbbreviatedTree()
    L.append(('name', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class re__Repeat(re_t):
  tag = 11
  __slots__ = ('child', 'op')

  def __init__(self, child=None, op=None):
    # type: (Optional[re_t], Optional[re_repeat_t]) -> None
    self.child = child
    self.op = op

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('re.Repeat')
    L = out_node.fields

    assert self.child is not None
    x0 = self.child.PrettyTree()
    L.append(('child', x0))

    assert self.op is not None
    x1 = self.op.PrettyTree()
    L.append(('op', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('re.Repeat')
    L = out_node.fields
    assert self.child is not None
    x0 = self.child.AbbreviatedTree()
    L.append(('child', x0))

    assert self.op is not None
    x1 = self.op.AbbreviatedTree()
    L.append(('op', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class re__Seq(re_t):
  tag = 12
  __slots__ = ('children',)

  def __init__(self, children=None):
    # type: (Optional[List[re_t]]) -> None
    self.children = children or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('re.Seq')
    L = out_node.fields

    if self.children:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.children:
        x0.children.append(i0.PrettyTree())
      L.append(('children', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('re.Seq')
    L = out_node.fields
    if self.children:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.children:
        x0.children.append(i0.AbbreviatedTree())
      L.append(('children', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class re__Alt(re_t):
  tag = 13
  __slots__ = ('children',)

  def __init__(self, children=None):
    # type: (Optional[List[re_t]]) -> None
    self.children = children or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('re.Alt')
    L = out_node.fields

    if self.children:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.children:
        x0.children.append(i0.PrettyTree())
      L.append(('children', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('re.Alt')
    L = out_node.fields
    if self.children:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.children:
        x0.children.append(i0.AbbreviatedTree())
      L.append(('children', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class re__Group(re_t):
  tag = 14
  __slots__ = ('child',)

  def __init__(self, child=None):
    # type: (Optional[re_t]) -> None
    self.child = child

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('re.Group')
    L = out_node.fields

    assert self.child is not None
    x0 = self.child.PrettyTree()
    L.append(('child', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('re.Group')
    L = out_node.fields
    assert self.child is not None
    x0 = self.child.AbbreviatedTree()
    L.append(('child', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class re__Capture(re_t):
  tag = 15
  __slots__ = ('child', 'var_name', 'type')

  def __init__(self, child=None, var_name=None, type=None):
    # type: (Optional[re_t], Optional[token], Optional[type_expr_t]) -> None
    self.child = child
    self.var_name = var_name or None
    self.type = type or None

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('re.Capture')
    L = out_node.fields

    assert self.child is not None
    x0 = self.child.PrettyTree()
    L.append(('child', x0))

    if self.var_name is not None:  # MaybeType
      x1 = self.var_name.PrettyTree()
      L.append(('var_name', x1))

    if self.type is not None:  # MaybeType
      x2 = self.type.PrettyTree()
      L.append(('type', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('re.Capture')
    L = out_node.fields
    assert self.child is not None
    x0 = self.child.AbbreviatedTree()
    L.append(('child', x0))

    if self.var_name is not None:  # MaybeType
      x1 = self.var_name.AbbreviatedTree()
      L.append(('var_name', x1))

    if self.type is not None:  # MaybeType
      x2 = self.type.AbbreviatedTree()
      L.append(('type', x2))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class re__Backtracking(re_t):
  tag = 16
  __slots__ = ('negated', 'name', 'child')

  def __init__(self, negated=None, name=None, child=None):
    # type: (Optional[bool], Optional[token], Optional[re_t]) -> None
    self.negated = negated
    self.name = name
    self.child = child

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('re.Backtracking')
    L = out_node.fields

    x0 = PrettyLeaf('T' if self.negated else 'F', Color_OtherConst)
    L.append(('negated', x0))

    assert self.name is not None
    x1 = self.name.PrettyTree()
    L.append(('name', x1))

    assert self.child is not None
    x2 = self.child.PrettyTree()
    L.append(('child', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('re.Backtracking')
    L = out_node.fields
    x0 = PrettyLeaf('T' if self.negated else 'F', Color_OtherConst)
    L.append(('negated', x0))

    assert self.name is not None
    x1 = self.name.AbbreviatedTree()
    L.append(('name', x1))

    assert self.child is not None
    x2 = self.child.AbbreviatedTree()
    L.append(('child', x2))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class re__Primitive(re_t):
  tag = 17
  __slots__ = ('id',)

  def __init__(self, id=None):
    # type: (Optional[Id_t]) -> None
    self.id = id

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('re.Primitive')
    L = out_node.fields

    assert self.id is not None
    x0 = PrettyLeaf(self.id.name, Color_UserType)
    L.append(('id', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('re.Primitive')
    L = out_node.fields
    assert self.id is not None
    x0 = PrettyLeaf(self.id.name, Color_UserType)
    L.append(('id', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class re__LiteralChars(re_t):
  tag = 18
  __slots__ = ('s', 'spid')

  def __init__(self, s=None, spid=None):
    # type: (Optional[str], Optional[int]) -> None
    self.s = s
    self.spid = spid

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('re.LiteralChars')
    L = out_node.fields

    x0 = PrettyLeaf(self.s, Color_StringConst)
    L.append(('s', x0))

    x1 = PrettyLeaf(str(self.spid), Color_OtherConst)
    L.append(('spid', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('re.LiteralChars')
    L = out_node.fields
    x0 = PrettyLeaf(self.s, Color_StringConst)
    L.append(('s', x0))

    x1 = PrettyLeaf(str(self.spid), Color_OtherConst)
    L.append(('spid', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class re(object):
  ClassLiteral = re__ClassLiteral
  Splice = re__Splice
  Repeat = re__Repeat
  Seq = re__Seq
  Alt = re__Alt
  Group = re__Group
  Capture = re__Capture
  Backtracking = re__Backtracking
  Primitive = re__Primitive
  LiteralChars = re__LiteralChars

class line_span(runtime.CompoundObj):
  tag = 1000
  __slots__ = ('line_id', 'col', 'length')

  def __init__(self, line_id=None, col=None, length=None):
    # type: (Optional[int], Optional[int], Optional[int]) -> None
    self.line_id = line_id
    self.col = col
    self.length = length

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('line_span')
    L = out_node.fields

    x0 = PrettyLeaf(str(self.line_id), Color_OtherConst)
    L.append(('line_id', x0))

    x1 = PrettyLeaf(str(self.col), Color_OtherConst)
    L.append(('col', x1))

    x2 = PrettyLeaf(str(self.length), Color_OtherConst)
    L.append(('length', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('line_span')
    L = out_node.fields
    x0 = PrettyLeaf(str(self.line_id), Color_OtherConst)
    L.append(('line_id', x0))

    x1 = PrettyLeaf(str(self.col), Color_OtherConst)
    L.append(('col', x1))

    x2 = PrettyLeaf(str(self.length), Color_OtherConst)
    L.append(('length', x2))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class token(re_t):
  tag = 1001
  __slots__ = ('id', 'val', 'span_id')

  def __init__(self, id=None, val=None, span_id=None):
    # type: (Optional[Id_t], Optional[str], Optional[int]) -> None
    self.id = id
    self.val = val
    self.span_id = span_id

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('token')
    L = out_node.fields

    assert self.id is not None
    x0 = PrettyLeaf(self.id.name, Color_UserType)
    L.append(('id', x0))

    x1 = PrettyLeaf(self.val, Color_StringConst)
    L.append(('val', x1))

    x2 = PrettyLeaf(str(self.span_id), Color_OtherConst)
    L.append(('span_id', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('token')
    L = out_node.fields
    assert self.id is not None
    x0 = PrettyLeaf(self.id.name, Color_UserType)
    L.append(('id', x0))

    x1 = PrettyLeaf(self.val, Color_StringConst)
    L.append(('val', x1))

    x2 = PrettyLeaf(str(self.span_id), Color_OtherConst)
    L.append(('span_id', x2))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    p = _token(self)
    return p if p else self._AbbreviatedTree()

class speck(re_t):
  tag = 1002
  __slots__ = ('id', 'span_id')

  def __init__(self, id=None, span_id=None):
    # type: (Optional[Id_t], Optional[int]) -> None
    self.id = id
    self.span_id = span_id

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('speck')
    L = out_node.fields

    assert self.id is not None
    x0 = PrettyLeaf(self.id.name, Color_UserType)
    L.append(('id', x0))

    x1 = PrettyLeaf(str(self.span_id), Color_OtherConst)
    L.append(('span_id', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('speck')
    L = out_node.fields
    assert self.id is not None
    x0 = PrettyLeaf(self.id.name, Color_UserType)
    L.append(('id', x0))

    x1 = PrettyLeaf(str(self.span_id), Color_OtherConst)
    L.append(('span_id', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    p = _speck(self)
    return p if p else self._AbbreviatedTree()

class double_quoted(word_part_t, expr_t, class_literal_term_t, re_t):
  tag = 1003
  __slots__ = ('left', 'parts', 'spids')

  def __init__(self, left=None, parts=None, spids=None):
    # type: (Optional[token], Optional[List[word_part_t]], Optional[List[int]]) -> None
    self.left = left
    self.parts = parts or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('double_quoted')
    L = out_node.fields

    assert self.left is not None
    x0 = self.left.PrettyTree()
    L.append(('left', x0))

    if self.parts:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.parts:
        x1.children.append(i1.PrettyTree())
      L.append(('parts', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('double_quoted')
    L = out_node.fields
    assert self.left is not None
    x0 = self.left.AbbreviatedTree()
    L.append(('left', x0))

    if self.parts:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.parts:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('parts', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    p = _double_quoted(self)
    return p if p else self._AbbreviatedTree()

class single_quoted(word_part_t, expr_t, class_literal_term_t, re_t):
  tag = 1004
  __slots__ = ('left', 'tokens', 'spids')

  def __init__(self, left=None, tokens=None, spids=None):
    # type: (Optional[token], Optional[List[token]], Optional[List[int]]) -> None
    self.left = left
    self.tokens = tokens or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('single_quoted')
    L = out_node.fields

    assert self.left is not None
    x0 = self.left.PrettyTree()
    L.append(('left', x0))

    if self.tokens:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.tokens:
        x1.children.append(i1.PrettyTree())
      L.append(('tokens', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('single_quoted')
    L = out_node.fields
    assert self.left is not None
    x0 = self.left.AbbreviatedTree()
    L.append(('left', x0))

    if self.tokens:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.tokens:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('tokens', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    p = _single_quoted(self)
    return p if p else self._AbbreviatedTree()

class simple_var_sub(word_part_t, expr_t, class_literal_term_t, re_t):
  tag = 1005
  __slots__ = ('token',)

  def __init__(self, token=None):
    # type: (Optional[token]) -> None
    self.token = token

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('simple_var_sub')
    L = out_node.fields

    assert self.token is not None
    x0 = self.token.PrettyTree()
    L.append(('token', x0))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('simple_var_sub')
    L = out_node.fields
    assert self.token is not None
    x0 = self.token.AbbreviatedTree()
    L.append(('token', x0))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    p = _simple_var_sub(self)
    return p if p else self._AbbreviatedTree()

class braced_var_sub(word_part_t, expr_t, class_literal_term_t, re_t):
  tag = 1006
  __slots__ = ('token', 'prefix_op', 'bracket_op', 'suffix_op', 'spids')

  def __init__(self, token=None, prefix_op=None, bracket_op=None,
               suffix_op=None, spids=None):
    # type: (Optional[token], Optional[Id_t], Optional[bracket_op_t], Optional[suffix_op_t], Optional[List[int]]) -> None
    self.token = token
    self.prefix_op = prefix_op or None
    self.bracket_op = bracket_op or None
    self.suffix_op = suffix_op or None
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('braced_var_sub')
    L = out_node.fields

    assert self.token is not None
    x0 = self.token.PrettyTree()
    L.append(('token', x0))

    if self.prefix_op is not None:  # MaybeType
      x1 = PrettyLeaf(self.prefix_op.name, Color_UserType)
      L.append(('prefix_op', x1))

    if self.bracket_op is not None:  # MaybeType
      x2 = self.bracket_op.PrettyTree()
      L.append(('bracket_op', x2))

    if self.suffix_op is not None:  # MaybeType
      x3 = self.suffix_op.PrettyTree()
      L.append(('suffix_op', x3))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('braced_var_sub')
    L = out_node.fields
    assert self.token is not None
    x0 = self.token.AbbreviatedTree()
    L.append(('token', x0))

    if self.prefix_op is not None:  # MaybeType
      x1 = PrettyLeaf(self.prefix_op.name, Color_UserType)
      L.append(('prefix_op', x1))

    if self.bracket_op is not None:  # MaybeType
      x2 = self.bracket_op.AbbreviatedTree()
      L.append(('bracket_op', x2))

    if self.suffix_op is not None:  # MaybeType
      x3 = self.suffix_op.AbbreviatedTree()
      L.append(('suffix_op', x3))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    p = _braced_var_sub(self)
    return p if p else self._AbbreviatedTree()

class command_sub(word_part_t, expr_t):
  tag = 1007
  __slots__ = ('left_token', 'command_list', 'spids')

  def __init__(self, left_token=None, command_list=None, spids=None):
    # type: (Optional[token], Optional[command_t], Optional[List[int]]) -> None
    self.left_token = left_token
    self.command_list = command_list
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command_sub')
    L = out_node.fields

    assert self.left_token is not None
    x0 = self.left_token.PrettyTree()
    L.append(('left_token', x0))

    assert self.command_list is not None
    x1 = self.command_list.PrettyTree()
    L.append(('command_list', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('command_sub')
    L = out_node.fields
    assert self.left_token is not None
    x0 = self.left_token.AbbreviatedTree()
    L.append(('left_token', x0))

    assert self.command_list is not None
    x1 = self.command_list.AbbreviatedTree()
    L.append(('command_list', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class sh_array_literal(word_part_t, expr_t):
  tag = 1008
  __slots__ = ('left', 'words', 'spids')

  def __init__(self, left=None, words=None, spids=None):
    # type: (Optional[token], Optional[List[word_t]], Optional[List[int]]) -> None
    self.left = left
    self.words = words or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('sh_array_literal')
    L = out_node.fields

    assert self.left is not None
    x0 = self.left.PrettyTree()
    L.append(('left', x0))

    if self.words:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.words:
        x1.children.append(i1.PrettyTree())
      L.append(('words', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('sh_array_literal')
    L = out_node.fields
    assert self.left is not None
    x0 = self.left.AbbreviatedTree()
    L.append(('left', x0))

    if self.words:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.words:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('words', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class arg_list(runtime.CompoundObj):
  tag = 1009
  __slots__ = ('positional', 'named')

  def __init__(self, positional=None, named=None):
    # type: (Optional[List[expr_t]], Optional[List[named_arg]]) -> None
    self.positional = positional or []
    self.named = named or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('arg_list')
    L = out_node.fields

    if self.positional:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.positional:
        x0.children.append(i0.PrettyTree())
      L.append(('positional', x0))

    if self.named:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.named:
        x1.children.append(i1.PrettyTree())
      L.append(('named', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('arg_list')
    L = out_node.fields
    if self.positional:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.positional:
        x0.children.append(i0.AbbreviatedTree())
      L.append(('positional', x0))

    if self.named:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.named:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('named', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class assign_pair(runtime.CompoundObj):
  tag = 1010
  __slots__ = ('lhs', 'op', 'rhs', 'spids')

  def __init__(self, lhs=None, op=None, rhs=None, spids=None):
    # type: (Optional[sh_lhs_expr_t], Optional[assign_op_t], Optional[word_t], Optional[List[int]]) -> None
    self.lhs = lhs
    self.op = op
    self.rhs = rhs or None
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('assign_pair')
    L = out_node.fields

    assert self.lhs is not None
    x0 = self.lhs.PrettyTree()
    L.append(('lhs', x0))

    assert self.op is not None
    x1 = PrettyLeaf(self.op.name, Color_TypeName)
    L.append(('op', x1))

    if self.rhs is not None:  # MaybeType
      x2 = self.rhs.PrettyTree()
      L.append(('rhs', x2))

    if self.spids:  # ArrayType
      x3 = PrettyArray()
      for i3 in self.spids:
        x3.children.append(PrettyLeaf(str(i3), Color_OtherConst))
      L.append(('spids', x3))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('assign_pair')
    L = out_node.fields
    assert self.lhs is not None
    x0 = self.lhs.AbbreviatedTree()
    L.append(('lhs', x0))

    assert self.op is not None
    x1 = PrettyLeaf(self.op.name, Color_TypeName)
    L.append(('op', x1))

    if self.rhs is not None:  # MaybeType
      x2 = self.rhs.AbbreviatedTree()
      L.append(('rhs', x2))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class env_pair(runtime.CompoundObj):
  tag = 1011
  __slots__ = ('name', 'val', 'spids')

  def __init__(self, name=None, val=None, spids=None):
    # type: (Optional[str], Optional[word_t], Optional[List[int]]) -> None
    self.name = name
    self.val = val
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('env_pair')
    L = out_node.fields

    x0 = PrettyLeaf(self.name, Color_StringConst)
    L.append(('name', x0))

    assert self.val is not None
    x1 = self.val.PrettyTree()
    L.append(('val', x1))

    if self.spids:  # ArrayType
      x2 = PrettyArray()
      for i2 in self.spids:
        x2.children.append(PrettyLeaf(str(i2), Color_OtherConst))
      L.append(('spids', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('env_pair')
    L = out_node.fields
    x0 = PrettyLeaf(self.name, Color_StringConst)
    L.append(('name', x0))

    assert self.val is not None
    x1 = self.val.AbbreviatedTree()
    L.append(('val', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class case_arm(runtime.CompoundObj):
  tag = 1012
  __slots__ = ('pat_list', 'action', 'spids')

  def __init__(self, pat_list=None, action=None, spids=None):
    # type: (Optional[List[word_t]], Optional[List[command_t]], Optional[List[int]]) -> None
    self.pat_list = pat_list or []
    self.action = action or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('case_arm')
    L = out_node.fields

    if self.pat_list:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.pat_list:
        x0.children.append(i0.PrettyTree())
      L.append(('pat_list', x0))

    if self.action:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.action:
        x1.children.append(i1.PrettyTree())
      L.append(('action', x1))

    if self.spids:  # ArrayType
      x2 = PrettyArray()
      for i2 in self.spids:
        x2.children.append(PrettyLeaf(str(i2), Color_OtherConst))
      L.append(('spids', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('case_arm')
    L = out_node.fields
    if self.pat_list:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.pat_list:
        x0.children.append(i0.AbbreviatedTree())
      L.append(('pat_list', x0))

    if self.action:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.action:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('action', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class if_arm(runtime.CompoundObj):
  tag = 1013
  __slots__ = ('cond', 'action', 'spids')

  def __init__(self, cond=None, action=None, spids=None):
    # type: (Optional[List[command_t]], Optional[List[command_t]], Optional[List[int]]) -> None
    self.cond = cond or []
    self.action = action or []
    self.spids = spids or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('if_arm')
    L = out_node.fields

    if self.cond:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.cond:
        x0.children.append(i0.PrettyTree())
      L.append(('cond', x0))

    if self.action:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.action:
        x1.children.append(i1.PrettyTree())
      L.append(('action', x1))

    if self.spids:  # ArrayType
      x2 = PrettyArray()
      for i2 in self.spids:
        x2.children.append(PrettyLeaf(str(i2), Color_OtherConst))
      L.append(('spids', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('if_arm')
    L = out_node.fields
    if self.cond:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.cond:
        x0.children.append(i0.AbbreviatedTree())
      L.append(('cond', x0))

    if self.action:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.action:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('action', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class param(runtime.CompoundObj):
  tag = 1014
  __slots__ = ('name', 'type', 'default')

  def __init__(self, name=None, type=None, default=None):
    # type: (Optional[token], Optional[type_expr_t], Optional[expr_t]) -> None
    self.name = name
    self.type = type or None
    self.default = default or None

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('param')
    L = out_node.fields

    assert self.name is not None
    x0 = self.name.PrettyTree()
    L.append(('name', x0))

    if self.type is not None:  # MaybeType
      x1 = self.type.PrettyTree()
      L.append(('type', x1))

    if self.default is not None:  # MaybeType
      x2 = self.default.PrettyTree()
      L.append(('default', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('param')
    L = out_node.fields
    assert self.name is not None
    x0 = self.name.AbbreviatedTree()
    L.append(('name', x0))

    if self.type is not None:  # MaybeType
      x1 = self.type.AbbreviatedTree()
      L.append(('type', x1))

    if self.default is not None:  # MaybeType
      x2 = self.default.AbbreviatedTree()
      L.append(('default', x2))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class name_type(runtime.CompoundObj):
  tag = 1015
  __slots__ = ('name', 'typ')

  def __init__(self, name=None, typ=None):
    # type: (Optional[token], Optional[type_expr_t]) -> None
    self.name = name
    self.typ = typ or None

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('name_type')
    L = out_node.fields

    assert self.name is not None
    x0 = self.name.PrettyTree()
    L.append(('name', x0))

    if self.typ is not None:  # MaybeType
      x1 = self.typ.PrettyTree()
      L.append(('typ', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('name_type')
    L = out_node.fields
    assert self.name is not None
    x0 = self.name.AbbreviatedTree()
    L.append(('name', x0))

    if self.typ is not None:  # MaybeType
      x1 = self.typ.AbbreviatedTree()
      L.append(('typ', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class comprehension(runtime.CompoundObj):
  tag = 1016
  __slots__ = ('lhs', 'iter', 'ifs')

  def __init__(self, lhs=None, iter=None, ifs=None):
    # type: (Optional[List[name_type]], Optional[expr_t], Optional[List[expr_t]]) -> None
    self.lhs = lhs or []
    self.iter = iter
    self.ifs = ifs or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('comprehension')
    L = out_node.fields

    if self.lhs:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.lhs:
        x0.children.append(i0.PrettyTree())
      L.append(('lhs', x0))

    assert self.iter is not None
    x1 = self.iter.PrettyTree()
    L.append(('iter', x1))

    if self.ifs:  # ArrayType
      x2 = PrettyArray()
      for i2 in self.ifs:
        x2.children.append(i2.PrettyTree())
      L.append(('ifs', x2))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('comprehension')
    L = out_node.fields
    if self.lhs:  # ArrayType
      x0 = PrettyArray()
      for i0 in self.lhs:
        x0.children.append(i0.AbbreviatedTree())
      L.append(('lhs', x0))

    assert self.iter is not None
    x1 = self.iter.AbbreviatedTree()
    L.append(('iter', x1))

    if self.ifs:  # ArrayType
      x2 = PrettyArray()
      for i2 in self.ifs:
        x2.children.append(i2.AbbreviatedTree())
      L.append(('ifs', x2))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class named_arg(runtime.CompoundObj):
  tag = 1017
  __slots__ = ('name', 'value')

  def __init__(self, name=None, value=None):
    # type: (Optional[token], Optional[expr_t]) -> None
    self.name = name or None
    self.value = value

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('named_arg')
    L = out_node.fields

    if self.name is not None:  # MaybeType
      x0 = self.name.PrettyTree()
      L.append(('name', x0))

    assert self.value is not None
    x1 = self.value.PrettyTree()
    L.append(('value', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('named_arg')
    L = out_node.fields
    if self.name is not None:  # MaybeType
      x0 = self.name.AbbreviatedTree()
      L.append(('name', x0))

    assert self.value is not None
    x1 = self.value.AbbreviatedTree()
    L.append(('value', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class subscript(place_expr_t, expr_t):
  tag = 1018
  __slots__ = ('obj', 'indices')

  def __init__(self, obj=None, indices=None):
    # type: (Optional[expr_t], Optional[List[expr_t]]) -> None
    self.obj = obj
    self.indices = indices or []

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('subscript')
    L = out_node.fields

    assert self.obj is not None
    x0 = self.obj.PrettyTree()
    L.append(('obj', x0))

    if self.indices:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.indices:
        x1.children.append(i1.PrettyTree())
      L.append(('indices', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('subscript')
    L = out_node.fields
    assert self.obj is not None
    x0 = self.obj.AbbreviatedTree()
    L.append(('obj', x0))

    if self.indices:  # ArrayType
      x1 = PrettyArray()
      for i1 in self.indices:
        x1.children.append(i1.AbbreviatedTree())
      L.append(('indices', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class attribute(place_expr_t, expr_t):
  tag = 1019
  __slots__ = ('obj', 'op', 'attr', 'ctx')

  def __init__(self, obj=None, op=None, attr=None, ctx=None):
    # type: (Optional[expr_t], Optional[token], Optional[token], Optional[expr_context_t]) -> None
    self.obj = obj
    self.op = op
    self.attr = attr
    self.ctx = ctx

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('attribute')
    L = out_node.fields

    assert self.obj is not None
    x0 = self.obj.PrettyTree()
    L.append(('obj', x0))

    assert self.op is not None
    x1 = self.op.PrettyTree()
    L.append(('op', x1))

    assert self.attr is not None
    x2 = self.attr.PrettyTree()
    L.append(('attr', x2))

    assert self.ctx is not None
    x3 = PrettyLeaf(self.ctx.name, Color_TypeName)
    L.append(('ctx', x3))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('attribute')
    L = out_node.fields
    assert self.obj is not None
    x0 = self.obj.AbbreviatedTree()
    L.append(('obj', x0))

    assert self.op is not None
    x1 = self.op.AbbreviatedTree()
    L.append(('op', x1))

    assert self.attr is not None
    x2 = self.attr.AbbreviatedTree()
    L.append(('attr', x2))

    assert self.ctx is not None
    x3 = PrettyLeaf(self.ctx.name, Color_TypeName)
    L.append(('ctx', x3))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class posix_class(class_literal_term_t, re_t):
  tag = 1020
  __slots__ = ('negated', 'name')

  def __init__(self, negated=None, name=None):
    # type: (Optional[speck], Optional[str]) -> None
    self.negated = negated or None
    self.name = name

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('posix_class')
    L = out_node.fields

    if self.negated is not None:  # MaybeType
      x0 = self.negated.PrettyTree()
      L.append(('negated', x0))

    x1 = PrettyLeaf(self.name, Color_StringConst)
    L.append(('name', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('posix_class')
    L = out_node.fields
    if self.negated is not None:  # MaybeType
      x0 = self.negated.AbbreviatedTree()
      L.append(('negated', x0))

    x1 = PrettyLeaf(self.name, Color_StringConst)
    L.append(('name', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

class perl_class(class_literal_term_t, re_t):
  tag = 1021
  __slots__ = ('negated', 'name')

  def __init__(self, negated=None, name=None):
    # type: (Optional[speck], Optional[str]) -> None
    self.negated = negated or None
    self.name = name

  def PrettyTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('perl_class')
    L = out_node.fields

    if self.negated is not None:  # MaybeType
      x0 = self.negated.PrettyTree()
      L.append(('negated', x0))

    x1 = PrettyLeaf(self.name, Color_StringConst)
    L.append(('name', x1))

    return out_node

  def _AbbreviatedTree(self):
    # type: () -> PrettyNode
    out_node = PrettyNode('perl_class')
    L = out_node.fields
    if self.negated is not None:  # MaybeType
      x0 = self.negated.AbbreviatedTree()
      L.append(('negated', x0))

    x1 = PrettyLeaf(self.name, Color_StringConst)
    L.append(('name', x1))

    return out_node

  def AbbreviatedTree(self):
    # type: () -> PrettyNode
    return self._AbbreviatedTree()

#
# CONCATENATED FILE
#

"""
syntax_abbrev.py - Abbreviations for pretty-printing syntax.asdl.
"""

from _devbuild.gen.id_kind_asdl import Id
from asdl import runtime


def _AbbreviateToken(tok, out):
  # type: (token, List[runtime._PrettyBase]) -> None
  if tok.id != Id.Lit_Chars:
    n1 = runtime.PrettyLeaf(tok.id.name, runtime.Color_OtherConst)
    out.append(n1)

  n2 = runtime.PrettyLeaf(tok.val, runtime.Color_StringConst)
  out.append(n2)


def _token(obj):
  # type: (token) -> PrettyNode
  p_node = runtime.PrettyNode()
  p_node.abbrev = True
  p_node.node_type = ''  # don't show

  p_node.left = '<'
  p_node.right = '>'
  _AbbreviateToken(obj, p_node.unnamed_fields)
  return p_node


def _speck(obj):
  # type: (speck) -> PrettyNode
  """Always abbreviate a speck as the Id."""
  p_node = runtime.PrettyNode()
  p_node.abbrev = True
  p_node.node_type = ''  # don't show

  n1 = runtime.PrettyLeaf(obj.id.name, runtime.Color_OtherConst)
  p_node.unnamed_fields.append(n1)
  return p_node


def _double_quoted(obj):
  # type: (double_quoted) -> PrettyNode
  if obj.left.id != Id.Left_DoubleQuote:
    return None  # Fall back on obj._AbbreviatedTree()

  p_node = runtime.PrettyNode()
  p_node.abbrev = True
  p_node.node_type = 'DQ'

  for part in obj.parts:
    p_node.unnamed_fields.append(part.AbbreviatedTree())
  return p_node


def _single_quoted(obj):
  # type: (single_quoted) -> PrettyNode

  # Only abbreviate 'foo', not $'foo\n'
  if obj.left.id != Id.Left_SingleQuoteRaw:
    return None  # Fall back on obj._AbbreviatedTree()

  p_node = runtime.PrettyNode()
  p_node.abbrev = True
  p_node.node_type = 'SQ'

  for token in obj.tokens:
    p_node.unnamed_fields.append(token.AbbreviatedTree())
  return p_node


def _simple_var_sub(obj):
  # type: (simple_var_sub) -> PrettyNode
  p_node = runtime.PrettyNode()
  p_node.abbrev = True
  p_node.node_type = '$'
  _AbbreviateToken(obj.token, p_node.unnamed_fields)
  return p_node


def _braced_var_sub(obj):
  # type: (braced_var_sub) -> PrettyNode
  p_node = runtime.PrettyNode()
  if obj.prefix_op or obj.bracket_op or obj.suffix_op:
    return None  # we have other fields to display; don't abbreviate

  p_node.abbrev = True
  p_node.node_type = '${'
  _AbbreviateToken(obj.token, p_node.unnamed_fields)
  return p_node


def _word_part__Literal(obj):
  # type: (word_part__Literal) -> PrettyNode
  p_node = runtime.PrettyNode()
  p_node.abbrev = True
  p_node.node_type = ''  # don't show

  _AbbreviateToken(obj.token, p_node.unnamed_fields)
  return p_node


def _word__Compound(obj):
  # type: (word__Compound) -> PrettyNode
  p_node = runtime.PrettyNode()
  p_node.abbrev = True
  p_node.node_type = ''  # don't show
  p_node.left = '{'
  p_node.right = '}'

  for part in obj.parts:
    p_node.unnamed_fields.append(part.AbbreviatedTree())
  return p_node


def _command__Simple(obj):
  # type: (command__Simple) -> PrettyNode
  p_node = runtime.PrettyNode()
  if obj.redirects or obj.more_env or obj.block:
    return None  # we have other fields to display; don't abbreviate

  p_node.abbrev = True
  p_node.node_type = 'C'

  for w in obj.words:
    p_node.unnamed_fields.append(w.AbbreviatedTree())
  return p_node


def _expr__Var(obj):
  # type: (expr__Var) -> PrettyNode
  p_node = runtime.PrettyNode()
  p_node.abbrev = True
  p_node.node_type = 'Var'

  assert obj.name.id == Id.Expr_Name, obj.name
  n1 = runtime.PrettyLeaf(obj.name.val, runtime.Color_StringConst)
  p_node.unnamed_fields.append(n1)
  return p_node


def _expr__Const(obj):
  # type: (expr__Const) -> PrettyNode
  p_node = runtime.PrettyNode()
  p_node.abbrev = True
  p_node.node_type = 'Const'

  tok = obj.c
  out = p_node.unnamed_fields

  n1 = runtime.PrettyLeaf(tok.id.name, runtime.Color_OtherConst)
  out.append(n1)

  n2 = runtime.PrettyLeaf(tok.val, runtime.Color_StringConst)
  out.append(n2)
  return p_node
